<!-- 
27/05/2026
ROAFACTURARE - 2.11.9

:modificare:
  La emiterea unei facturi cu clientul "CLIENT[I DIVERSI]" se avertizeaza pentru folosirea fel document "BON FISCAL".
-->

<!-- 
15/04/2026
ROAFACTURARE - 2.11.8

:modificare:
  Lista comenzi. S-a corectat resetare cautare.
  Lista comenzi. S-au adaugat criterii suplimentare de filtrare - "Nefacturate sau recente 1/3/7/15 zile".

:nou:
  Lista comenzi. Se poate asocia o comanda pe o factura emisa anterior, pentru a se marca comanda ca facturata.
-->

<!-- 
14/04/2026
ROAFACTURARE - 2.11.7

:nou:
  Factura. Se afiseaza codul fiscal al clientului si butonul de verificare ANAF.

  Este util mai ales pentru factura din comanda, cand clientul este deja completat si se doreste verificarea codului fiscal (platitor TVA) pe ANAF, fara a se intra in formularul de cautare client.
-->

<!-- 
14/04/2026
ROAFACTURARE - 2.11.6

:modificare:
  Lista comenzi. S-au adaugat coloanele "Cod fiscal" si "Id partener". 

  Coloanele "adresa facturare" si "adresa livrare" se afiseaza cu numele adreselor sau cu adresa completa, daca nu este completat numele adresei

:modificare:
  Modificare comanda. Listele "adresa facturare" si "adresa livrare" se afiseaza cu numele adreselor sau cu adresa completa, daca nu este completat numele adresei.
-->

<!-- 
09/04/2026
ROAFACTURARE - 2.11.5

:nou:
  Optiuni server > Comenzi. Se poate configura ordonarea listei de comenzi crescator sau descrescator dupa data comenzii.
  
:nou:
  Comenzi > Elemente comenzi. Se afiseaza coloane "procent TVA" si "nume lista preturi.

:modificare:
  Factura din comanda. Se afiseaza sold client la intrarea in formularul de factura.
-->

<!-- 
23/03/2026
ROAFACTURARE - 2.11.4

:modificare:
  Facturare comanda. La adaugarea tuturor articolelor din comanda, se iau in considerare si articolele cu cantitate negativa negestionabile (ex: articole discount)

:modificare:
  Factura comanda. Articolele sunt ordonate fie in ordinea din comanda, fie alfabetic , in functie de optiunea "RF_SORTARE_COMANDA"

:nou:
  Listare factura. Se afiseaza "cod material" pe articol, in functie de optiunea "RF_LISTARE_CODMAT"
-->

<!-- 
21/01/2026
ROAFACTURARE - 2.11.3

:nou:
  Comenzi. Editare comanda - se poate filtra lista de articole si dupa coloana "cod bare", nu numai dupa "cod material" sau "denumire articol".
-->

<!-- 
05/11/2025
ROAFACTURARE - 2.11.2

:modificare:
  Factura retur. La adaugarea tuturor articolelor, fara afisarea detaliilor, se completeaza codul de taxa SAFT pentru articolele negestionabile.
-->

<!-- 
17/09/2025
ROAFACTURARE - 2.11.1

:eroare:
  S-a corectat o eroare la salvarea unei facturi de retur cu prea multe facturi sursa.
-->

<!-- 
21/07/2025
ROAFACTURARE - 2.11.0

:nou:
  Pregatire aplicatie pentru cotele de TVA 21%, 11% de la 01.08.2025
-->

<!-- 
23/06/2025
ROAFACTURARE - 2.10.15

:nou:
  Se pot modifica numarul, data, seria si data scadenta pe factura (daca factura nu este trimisa in eFactura).

  Modificarile au efect in lista de facturi, Registrul Jurnal, situatie facturi, Registru TVA Vanzari, rulaje.
-->

<!-- 
19/05/2025
ROAFACTURARE - 2.10.14

:modificare:
  S-a actualizat verificarea TVA a partenerilor pe serverul ANAF.
-->

<!-- 
17/01/2025
ROAFACTURARE - 2.10.13

:modificare:
  Lista facturi. S-au adaugat criteriile de selectie "Total cu TVA lei/valuta", "Tip SAFT".
-->

<!-- 
18/10/2024
ROAFACTURARE - 2.10.12

:modificare:
  La finalizarea facturii se poate alege tipul facturii eFactura/SAFT (ex: 380 factura initiala, 751 factura in scopuri contabile).

  Daca factura se incaseaza cu bon fiscal si optiunea "EFACTURA_TIP_SAFT_BF" este configurata (ex: 751), tipul facturii se initializeaza cu aceasta valoare.
-->

<!-- 
16/07/2024
ROAFACTURARE - 2.10.11

:eroare:
  eFactura. S-a corectat generare xml eFactura pentru factura stornare cu discount.

-->

<!-- 
12/07/2024
ROAFACTURARE - 2.10.10

:modificare:
  S-a corectat facturare marfa cu "lot". La alegerea pozitiei din stoc nu se tinea cont de "lot".

:modificare:
  Listare factura/aviz marfa cu "lot" se poate alege optiunea "Listare serie/lot"
-->

<!-- 
13/06/2024
ROAFACTURARE - 2.10.9

:modificare:
  Facturare. Se poate factura "pret de vanzare" cu maxim 6 zecimale, in loc de 4.

  Pentru marirea numarului de zecimale la pretul de vanzare, se modifica valoarea optiunii "PPRETV " in "Definirea Companiei > Utilitati > Optiuni > Optiuni firma".

  Implicit, valoarea "PPRETV" este 2, adica preturi cu 2 zecimale.
-->

<!-- 
04/06/2024
ROAFACTURARE - 2.10.8

:nou:
  Facturare articol gestionabil. La alegerea unui articol din stoc se afiseaza "lot articol". 

  Se listeaza "lot articol" pe factura.
-->

<!-- 
10/04/2024
ROAFACTURARE - 2.10.7

:modificare:
  Generare xml eFactura. Nu este permis pret unitar negativ. Se inlocuieste semnul +/- din cantiate si pret unitar in xml eFactura, daca pretul unitar este negativ.
-->

<!-- 
29/03/2024
ROAFACTURARE - 2.10.6

:modificare:
  Generare xml eFactura - s-a corectat codul de TVA pentru operatiile neimpozabile.
-->

<!-- 
26/03/2024
ROAFACTURARE - 2.10.5

:modificare:
  xml eFactura. Se completeaza "seria" si "numar factura" in campul "Invoice.Id". Se completa doar "numar factura"

  xml eFactura. Se completeaza cursul valutar folosit in factura in campul "Invoice.Note".
-->

<!-- 
15/03/2024
ROAFACTURARE - 2.10.4

:modificare:
  Generare xml eFactura. In unele cazuri nu se completa corect tipul de taxa pe linia de factura, daca existau mai multe explicatii pentru cota TVA 0 (ex: Taxare Inversa si Scutit).
-->

<!-- 
07/02/2024
ROAFACTURARE - 2.10.3

:eroare:
  Listare bon fiscal. S-a corectat o eroare la listarea bonului fiscal, in cazul unei facturi cu bon fiscal, cu linie de discount si listare nedetaliata pe articole.
-->

<!-- 
30/01/2024
ROAFACTURARE - 2.10.2

:modificare:
  Generare xml eFactura. Discount-ul evidentiat pe articole se evidentiaza cumulat la nivelul eFactura pe cote de TVA.
-->

<!-- 
23/01/2024
ROAFACTURARE - 2.10.1

:modificare:
  Generare xml eFactura. Se completeaza cu valori in valuta pentru factura in valuta, in loc de valori in lei.
-->

<!-- 
15/01/2024
ROAFACTURARE - 2.9.36

:modificare:
  Factura retur. La adaugarea unui articol pe factura, nu se mai verifica cantitatea maxim de retur daca articolul este negestionabil.
-->

<!-- 
15/01/2024
ROAFACTURARE - 2.9.35

:modificare
  Listare bon fiscal. Se transmite pretul articolelor diminuat cu discount la casa de marcat.
-->

<!-- 
12/01/2024
ROAFACTURARE - 2.9.34

:modificare:
  Generare xml eFactura. S-a corectat codul de taxa pentru operatiile cu "Taxare Inversa".
-->

<!-- 
10/01/2024
ROAFACTURARE - 2.9.33

:nou:
  Listare factura. Listare raport factura personalizat la nivel de client.

:modificare:
  Generare xml eFactura. Completare cod fiscal pentru cumparator/client extern/neplatitor TVA.
-->

<!-- 
03/01/2024
ROAFACTURARE - 2.9.32

:modificare:
  Bon fiscal. Se listeaza discount valoric la casa de marcat pentru articolele cu denumirea "DISCOUNT" si cantitate negativa.
-->

<!-- 
12/12/2023
ROAFACTURARE - 2.9.31

:modificare:
  Modificari interne.
-->

<!-- 
11/12/2023
ROAFACTURARE - 2.9.30

:modificare:
  Raport "factura". Nu se mai suprapune antetul firmei peste "Nr. Reg. Comert", daca antetul depaseste o linie.
-->

<!-- 
08/12/2023
ROAFACTURARE - 2.9.29

:modificare:
  S-a corectat listarea facturii fiscale in valuta pe baza de contract.
-->

<!-- 
30/11/2023
ROAFACTURARE - 2.9.28

:nou:
  Se pot emite facturi pe baza de contract tip "Invoice" si "Factura fiscala in valuta".
-->

<!-- 
31/10/2023
ROAFACTURARE - 2.9.27

:eroare:
  eFactura. S-a corectat o eroare la generarea fisierului xml eFactura pentru articole cu cod de bare.
-->

<!-- 
23/10/2023
ROAFACTURARE - 2.9.26

:modificare:
  Fisier xml eFactura. Se completeaza mentiunea "TVA la Incasare", daca este cazul.

:modificare:
  Fisier xml eFactura. Se afiseaza mesaj pentru necompletarea adresa email a firmei (obligatorie).
-->

<!-- 
17/10/2023
ROAFACTURARE - 2.9.25

:eroare:
  S-a corectat o eroare la preluarea cursului valutare de pe serverul bnro.ro
-->

<!-- 
16/10/2023
ROAFACTURARE - 2.9.24

:nou:
  Listare factura. Se afiseaza soldul total pe client, daca este configurata optiunea "Afisare sold pe factura".

  Factura. Se afiseaza soldul clientului in formularul de introducere factura, dupa alegerea clientului.

:nou:
  eFactura. Fisierul xml eFactura generat se poate valida cu validatorul DukIntegrator instalat pe calculator sau online cu serverul ANAF.
-->

<!-- 
08/05/2023
ROAFACTURARE - 2.9.23

:modificare:
  Invoice. Nu se mai recalculeaza pretul in lei pe articole, daca valoarea totala in lei este diferita fata de suma valorilor in lei a articolelor.

:nou:
  Facturi. Se poate modifica Codul de taxa SAFT pe articolele unei facturi emise.
-->

<!-- 
24/04/2023
ROAFACTURARE - 2.9.22

:modificare:
  S-a actualizat verificarea codurilor fiscale de pe website-ul ANAF - servicii web v8.
-->

<!-- 
:modificare:
  eFactura. In xml eFactura s-au adaugat conturile bancare ale firmei in sectiunea "PaymentMeans" / "Mijloace de plata", pentru a indica clientului in ce conturi poate achita factura.

  Conturile bancare sunt definite in "Definirea Companiei > Date firma".

:modificare:
  In xml eFactura s-a formatat corect localitatea pentru clientii din Bucuresti (ex: "SECTOR1", in loc de "SECTORUL 1".
-->
  
<!-- 
08/02/2023
ROAFACTURARE - 2.9.20

:nou:
  S-a activat generarea xml eFactura in "Rapoarte > Lista facturi si avize > Listare".

:nou:
  eFactura. Facturile se pot marca cu tipul "eFactura" din lista de facturi, astfel incat sa se afiseze in borderoul eFactura de trimis la ANAF, in ROACONT.
-->

<!-- 
27/01/2023
ROAFACTURARE - 2.9.19

:modificare:
  Corectare mod calcul valoare totala in lei pentru Invoice. 

  Valoarea totala in lei este egala cu suma (pret lei * cantitate) in loc de (valoare in valuta * curs), astfel incat valoarea totala in lei sa fie egala cu suma valorilor articolelor in lei.
-->

<!-- 
26/01/2023
ROAFACTURARE - 2.9.18

:eroare:
  eFactura. Corectare generare fisier xml eFactura.
-->

<!-- 
13/01/2023
ROAFACTURARE - 2.9.17

:modificare:
  Factura. S-a corectat afisarea "Cod Taxa SAFT" la schimbarea "explicatiei TVA" la adaugarea unui articol pe factura.
-->

<!-- 
20/10/2022
ROAFACTURARE - 2.9.16

:eroare:
  Corectare eroare listare proforma.
-->

<!-- 
18/10/2022
ROAFACTURARE - 2.9.15

:modificare:
  Efactura. S-a corectat xml efactura pentru cazul in care se factureaza articole cota TVA = 0.
-->

<!-- 
04/08/2022
ROAFACTURARE - 2.9.14

:nou:
  Lista facturi si avize. S-au adaugat campurile "adresa livrare comanda", "denumire adresa livare" si "email livrare".
-->

<!-- 
01/07/2022
ROAFACTURARE - 2.9.13

:modificare:
  eFactura. Se completeaza referinta la contract (max. 30 caractere), textul aditional la factura (max. 300 caractere), text aditional la articol (max. 300 caractere).

  Numele fisierului xml contine si numele clientului.
-->

<!-- 
30/06/2022
ROAFACTURARE - 2.9.12

:modificare:
  eFactura. La generarea xml eFactura, se completeaza codurile NC8, CPV la nivel de articol.

  Se completeaza "text aditional" si valoare discount la nivelul facturii.
-->

<!-- 
24/06/2022
ROAFACTURARE - 2.9.11

:nou:
  SAFT. Se poate edita tipul facturii SAFT (380 initiala, 381 stornare, 384 finala, 389 autofactura) in lista de facturi.

:nou:
  Listare factura. Se afiseaza pe factura codul NC8/CPV al articolului, daca este completat, in functie de optiunea "RF_LISTARE_CODNC8" si de calitatea "Institutie publica" a clientului.
-->

<!-- 
22/06/2022
ROAFACTURARE - 2.9.10

:modificare:
    Modificari interne pentru generarea eFactura.
-->

<!-- 
14/06/2022
ROAFACTURARE - 2.9.9

:eroare:
  S-a corectat o eroare la relistarea avizelor de expeditie intre subunitati (gestiuni).
-->

<!-- 
09/06/2022
ROAFACTURARE - 2.9.8

:modificare:
  SAFT. La generarea notelor contabile pentru factura, se completeaza codul de taxa SAFT si pe nota TVA 4xx = 442x.

:eroare:
  S-a corectat o eroare la listarea avizului de transfer intre subunitati pe baza de lista de preturi.
-->

<!-- 
08/06/2022
ROAFACTURARE - 2.9.7

:eroare:
  S-a corectat o eroare la listarea facturii in valuta.
-->

<!-- 
07/06/2022
ROAFACTURARE - 2.9.6

:eroare:
  S-a corectat o eroare la adaugarea articolelor pe "Aviz expeditie la clienti in custodie > Retur valoric"
-->

<!-- 
03/06/2022
ROAFACTURARE - 2.9.5

:nou:
  Modificari interne pentru generarea eFactura.
-->

<!-- 
03/05/2022
ROAFACTURARE - 2.9.4

:modificare:
  SAFT. Operatiile de vanzare marfa din stoc salveaza Cod Taxa SAFT in articolele de vanzare de pe factura.
-->

<!-- 
26/04/2022
ROAFACTURARE - 2.9.3

:modificare:
  Facturile de vanzare emise din ROAGEST completeaza identificatorul intern "id factura" in lista de facturi din ROAFACTURARE.
-->

<!-- 
30/03/2022
ROAFACTURARE - 2.9.2

:modificare:
  Factura. S-a marit lungimea campului "Pret fara TVA" la adaugare articol gestionabil in factura.
-->

<!-- 
28/03/2022
ROAFACTURARE - 2.9.1

:eroare:
  S-a corectat o eroare la relistarea facturii din lista de facturi.
-->

<!-- 
24/03/2022
ROAFACTURARE - 2.9.0

:nou:
  * Declaratia 406 SAFT. Introducere facturi. Se poate alege codul taxa SAFT corespunzator "explicatiei TVA".
-->

<!-- 
10/01/2022
ROAFACTURARE - 2.8.18

:modificare:
  Listare factura. S-a marit coloana "cantitate" pe factura A4 si A5.
-->

<!-- 
29/12/2021
ROAFACTURARE - 2.8.17

:modificare:
  S-a actualizat verificarea codurilor fiscale de pe website-ul ANAF.
-->

<!-- 
23/11/2021
ROAFACTURARE - 2.8.16

:nou:
  Factura. La emiterea unei facturi se poate alege modalitatea de incasare prin POS/CARD.

  Incasarea prin POS/CARD genereaza nota "5125 = 4111". 
  
  Acest tip de incasare se foloseste pentru facturile incasate cu POS/CARD.
-->

<!-- 
11/11/2021
ROAFACTURARE - 2.8.15

:modificare:
  Rapoarte > Articole > Articole vandute. S-au adaugat in exportul xls coloanele "pret achizitie", "pret vanzare", "adaos", "procent adaos", "valoare achizitie", "valoare adaos".
-->

<!-- 
28/09/2021
ROAFACTURARE - 2.8.14

:modificare:
  Factura. Declaratia de conformitate - se poate configura un "text Declaratie Conformitate" (maxim 8 linii in loc de 6 linii) care se afiseaza in subsolul facturii tip A4.
-->

<!-- 
23/09/2021
ROAFACTURARE - 2.8.13

:nou:
  Listare factura. Se poate configura un "text subsol factura" (maxim 5 linii) care se afiseaza in subsolul facturii, dupa totalul facturii tip A4.

:nou:
  Listare factura. Se poate configura daca se listeaza pe factura sectiunea "Declaratia de conformitate".

 Se poate configura un "text Declaratie Conformitate" (maxim 6 linii) care se afiseaza in subsolul facturii tip A4.
-->

<!-- 
16/09/2021
ROAFACTURARE - 2.8.12

:modificare:
  Factura cu incasare numerar si listare bon fiscal la casa de marcat. Daca optiunea "bon detaliat" nu era bifata, procentul de TVA trimis la casa de marcat era 0.

:modificare:
  Factura cu incasare numerar bon fiscal. Numarul bonului fiscal se genereaza din plaja de numere configurata, in loc sa fie initializat cu numarul facturii.
-->

<!-- 
28/07/2021
ROAFACTURARE - 2.8.11

:modificare:
  La copierea facturilor din "Rapoarte > Lista facturi, avize si proforme", lista de articole se initializeaza cu articolele din factura originala, inclusiv textul aditional, si cu articolele din listele de preturi.

  Astfel se pot adauga pe factura atat o parte/toate articolelele originale cu optiunea de a modifica cantitate, pret, text aditional, cat si articole suplimentare.

 Optiunea de copiere se poate folosi si pentru modificarea unei facturi, daca se foloseste acelasi numar, data si se sterge ulterior factura originala.
-->

<!-- 
05/07/2021
ROAFACTURARE - 2.8.10

:nou:
  In listarea facturii se poate omite denumirea articolelor si sa se afiseze doar explicatia introdusa de utilizator.

  Optiunea se configureaza in pagina "Configurare > Optiuni facturare > Factura".

:modificare:
  Nu se putea modifica textul aditional la sfarsitul facturii ulterior salvarii facturii daca textul original era gol.  

:eroare:
  S-a corectat un bug la salvarea facturii daca textul aditional introdus de utilizator continea randuri separate prin "ENTER".
-->

<!-- 
04/06/2021
ROAFACTURARE - 2.8.9

:modificare:
  Listare factura. Se afiseaza un text cu explicatia TVA in antetul facturii daca toate articolele de pe factura au aceeasi procent si explicatie TVA.

  Afisarea textului se poate controla din optiunea: "TEXTFACTURATVA" din "Definirea Companiei > Utilitati > Optiuni > Optiuni firma".

  Optiunea are efect atat la listarea din momentul generarii unei facturi, cat si la relistarea facturii.
-->

<!-- 
20/05/2021
ROAFACTURARE - 2.8.8

:modificare:
  Listare factura. S-a corectat afisarea numarului de telefon daca adresa depasea un rand.
-->

<!-- 
14/04/2021
ROAFACTURARE - 2.8.7

:nou:
  Factura din comanda. Se atentioneaza daca se alege o comanda apartinand altui client.

:nou:
  Comenzi. S-a adaugat optiune afisare initiala comenzi "Nefacturate, Recente ...'
  Implicit se afiseaza comenzile nefacturate.

:modificare:
  Comenzile de pe lucrari inchise sunt formatate cursiv (italic).
  Comenzile facturate sunt formatate cu font culoare "verde".
-->

<!-- 
31/03/2021
ROAFACTURARE - 2.8.6

:nou:
  La cautarea articolelor pentru adaugarea pe o comanda, se afiseaza cantitatea existenta in stoc.

  Lista de gestiuni din care se calculeaza stocul se configureaza in "Initializare > Optiuni > Optiuni comenzi > Gestiuni pentru afisare stoc in editare comenzi".
-->

<!-- 
31/03/2021
ROAFACTURARE - 2.8.5

:modificare:
  Factura pe baza de comanda este precompletata cu datele comenzii, doar daca se lanseaza factura din pagina "Comenzi".
-->

<!-- 
29/03/2021
ROAFACTURARE - 2.8.4

:modificare:
  La adaugarea/modificarea articolelor pe comanda se poate modifica atat cantitatea, cat si pretul articolelor din lista de preturi.

  Pentru modificarea preturilor articolelor pe comanda trebuie configurata optiunea "Se permite suprascrierea pretului" in "Optiuni server > Optiuni comenzi".
  
  :modificare:
  S-a corectat o problema la generarea numarului de factura. Se alocau doua numere de factura daca nu era introdus cursul valutar.
-->

<!-- 
26/03/2021
ROAFACTURARE - 2.8.3

:nou:
  S-a introdus functionalitatea de trimitere factura pe email la introducerea unei facturi.

  Emailul se trimite automat sau cu confirmarea utilizatorului, in functie de optiunea selectata in "Optiuni server".
-->

<!-- 
23/03/2021
ROAFACTURARE - 2.8.2

:modificare:
  Comenzi. Formularul adaugare/modificare comanda are dimensiunile mai mari.
-->

<!-- 
23/03/2021
ROAFACTURARE - 2.8.1

:modificare:
  Configurare drepturi utilizatori pe paginile Comenzi si Lucrari.
-->

<!-- 
23/03/2021
ROAFACTURARE - 2.8.0

:nou:
  S-a integrat functionalitatea programului ROACOMENZI in ROAFACTURARE. 

  S-au adaugat paginile Comenzi, Lucrari. S-au adaugat optiuni Comenzi, rapoarte Comenzi.

:nou:
  S-a adaugat raportul "Comenzi > Listare > Detalii comanda (ingust)"

:nou:
  La intrarea in program nu mai apare mesajul de atentionare asupra necompletarii cursului valutar din ziua curenta si asupra configurarii drepturilor pe politicilor de preturi, gestiuni etc.

  S-a adaugat o avertizare vizuala (un buton cu un triunghi galben) in partea de sus a programului in locul acestui mesaj.
-->

<!-- 
12/03/2021
ROAFACTURARE - 2.7.2

:modificare:
  Factura pe baza de comanda. Se pot alege si comenzi generate pentru alti clienti. Comenzile se genereaza in modulul ROACOMENZI.

  Ex: Se foloseste in cazul in care comanda a fost generata pentru un client si trebuie facute facturi partiale pe persoana fizica si pe persoana juridica.

:modificare:
  Proforma. Articolele din proforma sunt marcate "negestionabile", astfel incat nu mai este necesara existenta articolelor in stoc pentru a genera proforma.
-->

<!-- 
08/02/2021
ROAFACTURARE - 2.7.1

:modificare:
  Factura. La intrarea in factura se genereaza urmatorul numar de factura chiar daca nu se trece prin campul "Serie".
-->

<!-- 
28/01/2021
ROAFACTURARE - 2.7.0

:nou:
  Proformele se salveaza acum in lista comuna de facturi si avize, in loc de o lista separata.

:nou:
  Generare factura din proforma. In lista de documente "Rapoarte > Lista facturi, avize, proforme" se alege o proforma si se copie intr-o factura.

:modificare:
In lista de documente "Rapoarte > Lista facturi, avize, proforme" se pot copia mai multe tipuri de documente. 

  Facturile copiate dintr-o factura pe baza de comanda, contract, aviz se comporta ca facturi pe baza de lista de preturi.

:modificare:
  Raportul "Proforma" standard este la fel ca raportul "Factura" standard.

  Proformele se genereaza din "Facturi > Pe baza de lista de preturi/comanda/contract/etc." si se alege tipul "PROFORMA".
-->

<!-- 
06/01/2021
ROAFACTURARE - 2.6.44

:modificare:
  Actualizare verificare parteneri in Registru TVA ANAF.
-->

<!-- 
17/12/2020
ROAFACTURARE - 2.6.43

:modificare:
  Listare factura/aviz. S-a corectat o problema la listarea formularului personalizat.
-->

<!-- 
16/12/2020
ROAFACTURARE - 2.6.42

:modificare:
  Rapoarte > Articole (total, vandute, transfer). S-a adaugat coloana "Valoare fara TVA".
-->

<!-- 
28/08/2020
ROAFACTURARE - 2.6.41

:modificare:
  * La listare "Invoice" se afiseaza si unitatea de masura.
  * La listare "Invoice" se afiseaza logo.jpg si logo_orizontal.jpg daca exista in directorul ROA\USERREPORTS
-->

<!-- 
20/07/2020
ROAFACTURARE - 2.6.40

:modificare:
  S-a actualizat verificarea CUI-urilor pe site-ul ANAF conform ultimelor modificari facute de ANAF.
-->

<!-- 
06/07/2020
ROAFACTURARE - 2.6.39

:nou:
  Se pot lista facturile selectate silentios, fara previzualizare din "Rapoarte > Lista facturi si avize > Listare > Factura/aviz - silentios".
-->

<!-- 
03/07/2020
ROAFACTURARE - 2.6.38

:nou:
  La "Factura pe baza de lista de preturi > Retur factura lei" se pot alege mai multe facturi de pe care sa se faca retur.
-->

<!-- 
08/04/2020
ROAFACTURARE - 2.6.37

:nou:
  S-a creat un borderou de facturi electronic organizat pe clienti si zile.

  Borderourile electronice de facturi se pot genera si vizualiza din formularul de vizualizare a facturilor.

  Odata cu generarea borderourilor electronice, acestea se salveaza automat in format pdf in aceeasi locatie ca si facturile.

  Din borderoul de facturi se pot trimite emailuri catre clienti cu atasamente borderou, factura, recapitulatie si alte documente asociate care au numele fisierului cu aceeasi denumire ca a facturii.

  In borderoul de facturi se poate bifa starea de "trimis" si "confirmat" a borderourilor.

  Borderou facturi. Se pot (re)lista borderourile si din lista de borderouri.

  Se pot selecta borderourile marcate "(ne)Trimis" sau "(ne)Confirmat".

:nou:
  Se poate salva o factura in format pdf si trimite pe email impreuna cu documentele asociate din directorul "PDF" direct din formularul de vizualizare a facturilor, din butonul "Listare"

:nou:
  Emailurile facturilor individuale si borderourilor de facturi se pot trimite prin automatizarea aplicatiilor OUTLOOK, THUNDERBIRD, prin orice client de email compatibil MAPI sau direct catre serverul de email (CDO).
-->

<!-- 
29/01/2020
ROAFACTURARE - 2.6.36

:eroare:
  S-a corectat o eroare la listarea "Aviz expeditie - transfer catre subunitati".
-->

<!-- 
28/01/2020
ROAFACTURARE - 2.6.35

:modificare:
  Factura. Se afiseaza "cod articol client" si la prima listare a facturii, dupa salvarea in baza de date. Se afisa doar la relistarea facturii.
-->

<!-- 
23/01/2020
ROAFACTURARE - 2.6.34

:nou:
  Factura. Se poate salva formularul factura in baza de date, astfel incat sa se restaureze automat la o instalare noua de client ROA.
-->

<!-- 
22/01/2020
ROAFACTURARE - 2.6.33

:modificare:
  Listare factura. In coloana "denumire articol" se afiseaza "cod articol client", daca este configurat un cod articol pe clientul din factura curenta.

  Codurile articol client se configureaza in nomenclatorul de articole.
-->

<!-- 
12/11/2019
ROAFACTURARE - 2.6.32

:modificare:
  Aviz retur custodie valoric. S-au corectat sumele de pe notele TVA vanzare si marfa custodie in cazul in care pe aviz sunt mai multe lucrari sau sectii.
-->

<!-- 
08/11/2019
ROAFACTURARE - 2.6.31

:modificare:
  S-a corectat selectia facturilor dupa "data document". Se afisau doar facturile din luna curenta.
-->

<!-- 
06/11/2019
ROAFACTURARE - 2.6.30

:modificare:
  * Rapoarte > Facturi. S-au adaugat campurile "Tip client (PF/PJ)" si "Cod fiscal client".

  * Nota contabila pentru un articol "rabat comercial" (709 = 4111) se trateaza la fel ca si nota pentru articol "discount" (667 = 4111).
-->

<!-- 
11/10/2019
ROAFACTURARE - 2.6.29

:modificare:
  Factura. In fereastra de adaugare articol gestionabil pe factura, se retin ordinea si dimensiunea coloanelor din tabelul stoc modificate de utilizator.
-->

<!-- 
11/10/2019
ROAFACTURARE - 2.6.28

:modficare:
  Textul aditional de la sfarsitul facturii este de maxim 1000 caractere in loc de 250 caractere.
-->

<!-- 
03/10/2019
ROAFACTURARE - 2.6.27

:modificare:
  Factura. Se creeaza automat directorul "ROA\USERREPORTS\FIRMA\" pentru logo-ul personalizat salvat in baza de date.
-->

<!-- 
03/10/2019
ROAFACTURARE - 2.6.26

:modificare:
  Introducere factura.Se pot adauga lucrari, sectii si tipuri de venituri noi direct din fereastra de factura.

:modificare:
  Se poate introduce linie noua ("ENTER") in text-ul aditional de pe factura.

:nou:
  Logo. Factura A4 standard afiseaza un logo orizontal in partea de sus a facturii, daca exista fisierul "logo_orizontal.jpg" in directorul ROA\USERREPORTS\FIRMA

  Logo. Factura A4 standard afiseaza un logo patrat in partea de sus a facturii, daca exista fisierul "logo.jpg" in directorul ROA\USERREPORTS\FIRMA

:modificare:
  Listare factura. S-a creat suport pentru salvarea facturii personalizate si a logo-ului in baza de date. 

  Daca factura personalizata exista in baza de date, se va salva pe calculatoarele utilizatorilor si se va afisa la momentul listarii.

  Daca nu exista factura personalizata in baza de date sau pe calculatoarele utilizatorilor, se afiseaza factura standard din program.
-->

<!-- 
30/01/2019
ROAFACTURARE - 2.6.25

:eroare:
  S-a corectat o eroare la listarea componentei seturilor pe factura la facturile cu seturi.
-->

<!-- 
08/11/2018
ROAFACTURARE - 2.6.24

:nou:
  Factura/Aviz. Se poate copia o factura sau un aviz pe baza de lista de preturi. Se selecteaza documentul in lista de facturi/avize si se apasa butonul "Copiaza".
-->

<!-- 
14/09/2018
ROAFACTURARE - 2.6.23

:modificare:
  S-au marit campurile de preturi si valori in formularul de adaugare articole pe factura.
-->

<!-- 
16/03/2018
ROAFACTURARE - 2.6.22

:nou:
  S-a introdus operatia "Avize de expeditie > Catre clienti > Retur aviz"
-->

<!-- 
07/03/2018
ROAFACTURARE - 2.6.21

:nou:
  Vizualizare facturi. S-a introdus o vizualizare mai rapida a listei de facturi/avize pentru testare.
-->

<!-- 
11/01/2018
ROAFACTURARE - 2.6.20

:nou:
  Verificare partener ANAF. La verificarea informatiilor unui cod fiscal de pe serverul ANAF, se afiseaza "starea TVA Incasare", "TVA defalcat" si "Inactiv".
-->

<!-- 
08/01/2018
ROAFACTURARE - 2.6.19

:modificare:
  Facturare articole din politica preturi STOC sau cota TVA aleasa la facturare. Articolul este initializat cu cota 19% in 2018.
-->

<!-- 
21/11/2017
ROAFACTURARE - 2.6.18

:modificare:
  Listare facturi. Optimizare selectie informatii pentru listare factura.
-->

<!-- 
17/11/2017
ROAFACTURARE - 2.6.17

:modificare:
  Vizualizare facturi. Lista de articole de pe o factura exportata in format xls contine si campul "id articol".
-->

<!-- 
12/05/2017
ROAFACTURARE - 2.6.16

:modificare:
  Facturare pe baza de contract. La crearea unui contract nou, tipul contractului este initializat cu "CLIENT".
-->

<!-- 
11/05/2017
ROAFACTURARE - 2.6.15

:modificare:
  La factura pe baza de contract se poate crea un contract nou. Astfel nu este necesar sa fie creat contractul din modulul de contracte.
-->

<!-- 
04/04/2017
ROAFACTURARE - 2.6.14

:modificare:
  Listare factura. S-a corectat o problema la listarea explicatiilor aditionale de pe articolele din factura.
-->

<!-- 
31/03/2017
ROAFACTURARE - 2.6.13

:eroare:
  S-a corectat o eroare la salvarea facturii in baza de date.
-->

<!-- 
30/03/2017
ROAFACTURARE - 2.6.12

:modificare:
  Factura. Se poate completa pana la 500 de caractere la explicatia aditionala a unui articol de pe factura, in loc de 240 caractere.
-->

<!-- 
20/02/2017
ROAFACTURARE - 2.6.11

:modificare:
  La adaugarea unui client nou se poate verifica/completa datele din website-ul ANAF sau de pe pagina mfinante.ro.

  Website-ul ANAF nu contine informatiile "Reg. comert, telefon, cod postal".
-->

<!-- 
17/02/2017
ROAFACTURARE - 2.6.10

:modificare:
  Listare Invoice - se listeaza datele operatorului care a intocmit invoice-ul.
-->

<!-- 
15/02/2017
ROAFACTURARE - 2.6.9

:modificare:
  S-a modificat verificarea codurilor fiscale de pe pagina mfinante.ro (ex: la adaugarea unui client/furnizor nou).
-->

<!-- 
13/02/2017
ROAFACTURARE - 2.6.8

:modificare:
  S-a modificat verificarea codurilor fiscale de pe pagina mfinante.ro.
-->

<!-- 
05/01/2017
ROAFACTURARE - 2.6.7

:modificare:
  Facturare pe baza de lista de preturi, articole din politica "STOC". La adaugarea articolelor pe factura, explicatia TVA este initializata cu 19% in 2017, 20% in 2016.
-->

<!-- 
21/10/2016
ROAFACTURARE - 2.6.6

:modificare:
  S-a marit campul serie/numar factura pe listarea invoice-ului.
-->

<!-- 
20/10/2016
ROAFACTURARE - 2.6.5

:nou:
  S-a introdus o optiune de simulare a activitatii pe serverul Oracle pentru cazurile in care sistemul de operare/firewallul inchide conexiunile inactive.
-->

<!-- 
14/09/2016
ROAFACTURARE - 2.6.4

:eroare:
  S-a corectat o eroare la salvarea facturii din aviz.
-->

<!-- 
14/07/2016
ROAFACTURARE - 2.6.3

:nou:
  Se poate configura criteriul de cautare dupa "Denumire" in Configurare > Optiuni Locale.

:nou:
  Se poate modifica "textul aditional" de pe factura din butonul "Modificare" in lista de facturi.

:nou:
  Se poate configura daca se listeaza Avizul la tipul Bon Fiscal in Configurare > Optiuni server > Generale
 
:modificare:
  La tipul Bon Fiscal nu mai este obligatoriu completarea "Delegat".
  
:eroare:
  S-a corectat o eroare la generarea numarului urmator la alegerea tipului PROFORMA.

:eroare:
  S-a corectat o eroare la listare Proforma.
-->

<!-- 
12/07/2016
ROAFACTURARE - 2.6.2

:modificare:
  S-a tratat cazul in care nu se putea crea fisierul pentru casa de marcat in directorul C:\
-->

<!-- 
25/02/2016
ROAFACTURARE - 2.6.1

:eroare:
  S-a corectat o eroare la listare raport "Centralizator articole" in formularul Facturi/Avize.
-->

<!-- 
24/02/2016
ROAFACTURARE - 2.6.0

:nou:
  S-a introdus un mecanism de plugin-uri pentru listarea din formularul facturi/avize.
  Primul plugin "FACTURI EMAIL CU ATASAMENT FACTURA" permite trimiterea automata facturilor pe email in format pdf.

  Instalare: 
  1. Se copie fisierul "listare_facturi_email_cu_atasament_factura.prg" din directorul ROA\ROACONTRACTE\COMUN\PLUGINTEMPLATE\ in directorul ROA\ROACONTRACTE\COMUN\PLUGIN\

  2. Se selecteaza o factura si se apasa butonul listare. 
  La prima folosire a pluginului se vor cere cateva informatii despre generarea pdf-urilor si continutul emailurilor.
  Metoda implicita de trimiterea a emailurilor este prin Microsoft Outlook.
  Metoda alternativa este prin "blat.dll"

  3. Daca se foloseste metoda "blat.dll" trebuie configurate setarile serverului de email in fisierul "\ROA\settings.ini"
-->

<!-- 
03/02/2016
ROAFACTURARE - 2.5.15

:modificare:
  Listarea initiala a operatiei "Avize > Transfer intre subunitati > Retur > Listare"  afisa datele gestiunii destinatie in loc de gestiunea sursa.

  La relistare se afisau datele corecte.
-->

<!-- 
01/02/2016
ROAFACTURARE - 2.5.14

:modificare:
  * Operatia "Avize > Transfer intre subunitati > Retur > Listare" aviz afiseaza datele clientului asociat la gestiunea din care se face returul.

  * La factura/aviz cu toate articolele cu pret 0 nu se salvau note contabile in Registrul Jurnal.
-->

<!-- 
28/12/2015
ROAFACTURARE - 2.5.13

Listare aviz de expeditie cu datele partenerului asociat la gestiunea de transfer.

-->

<!-- 
30/10/2015
ROAFACTURARE - 2.5.12

:modificare:
  Se pot completa adresele partenerilor direct in formularul Adaugare/Modificare partener.

  Este mult mai simplu sa se completeze adresa, emailul etc. si sa se aibe date cat mai complete despre partener.

:nou:
  In formularul "Adaugare/Modificare partener",  butonul "Verificare" poate completa si adresa de pe Min. de Finante.
-->

<!-- 
20/10/2015
ROAFACTURARE - 2.5.11

:modificare:
La rapoartele "Centralizator articole" si "Centralizator transferuri articole pe gestiuni" din "Rapoarte \ Lista facturi si avize" a fost modificata ordonarea raportului, astfel incat acum articolele vor fi ordonate dupa subgrupa si denumire.
-->

<!-- 
14/10/2015
ROAFACTURARE - 2.5.10

:modificare:
La rapoartele "Centralizator articole" si "Centralizator transferuri articole pe gestiuni" din "Rapoarte \ Lista facturi si avize" a fost modificata ordonarea raportului, astfel incat acum articolele vor fi ordonate dupa denumire.
-->

<!-- 
23/09/2015
ROAFACTURARE - 2.5.9

:eroare:
  S-a corectat o eroare la listare proforma din comanda.
-->

<!-- 
22/07/2015
ROAFACTURARE - 2.5.8

:modificare:
  Listare invoice. Se listeaza contul bancar si banca numarul 3 din datele firmei.
-->

<!-- 
10/07/2015
ROAFACTURARE - 2.5.7

:eroare:
  S-a corectat o eroare la inregistrarea facturii de vanzare din stoc in baza de date.
-->

<!-- 
09/07/2015
ROAFACTURARE - 2.5.6

:eroare:
  S-a corectat o eroare la operatia "Avize expeditie > Transfer intre subunitati > Lista de preturi"
-->

<!-- 
08/07/2015
ROAFACTURARE - 2.5.5

:nou:
  Factura. La emiterea facturii se poate alege adresa de facturare si daca articolele se listeaza cumulat sau asa cum au fost adaugate pe factura.
-->

<!-- 
05/05/2015
ROAFACTURARE - 2.5.4

:modificare:
  S-a corectat o problema la listarea bonului detaliat pe articole la casa de marcat.

  Se retine numarul bonului fiscal suprascris de utilizator si la listarea la casa de marcat.
-->

<!-- 
01/04/2015
ROAFACTURARE - 2.5.3

:modificare:
  Rapoarte > Incasari > Raport comision. S-au corectat totalurile pe agenti.
-->

<!-- 
17/03/2015
ROAFACTURARE - 2.5.2

:nou:
  S-a creat raportul "Rapoarte > Incasari > Comision incasari agenti"
-->

<!-- 
03/03/2015
ROAFACTURARE - 2.5.1

:nou:
  S-a introdus operatia "Avize de expeditie > Protocol marfa la pret devanzare" (tip operatie 270).

  Se genereaza notele:
  371 = 401 - valoare achizitie
  623 = 401 valoare achizitie
  378 = 371 valoare adaos
  4428 = 371 TVA adaos
-->

<!-- 
24/02/2015
ROAFACTURARE - 2.5.0

:nou:
  Se pot factura articole gestionabile fara stoc daca se activeaza optiunea "RF_FACTURARE_FARA_STOC".

  Utilizatorului trebuie sa aleaga gestiunea si pretul de achizitie cu care doreste sa faca vanzarea.

:nou:
  Pe o factura de vanzare se pot adauga articole retur din facturi anterioare, in loc sa se faca o factura de retur separata.

  Utilizatorul trebuie sa aleaga factura de pe care doreste sa faca retur, la fel ca la factura de retur standard.

  Se pot returna articole din mai multe facturi.
-->

<!-- 
09/02/2015
ROAFACTURARE - 2.4.1

:eroare:
  S-a corectat o eroare la generarea numerelor de aviz expeditie.

-->

<!-- 
06/02/2015
ROAFACTURARE - 2.4.0

:nou:
  La emiterea unei facturi se poate alege tipul documentului: FACTURA, BON FISCAL sau PROFORMA.

  La schimbarea tipului de document se genereaza numere din plajele de numere corespunzatoare (factura, bon fiscal, proforma).

  Daca se alege tipul documentului BON FISCAL:
- la sfarsit va aparea optiunea de incasare cu "Bon fiscal" si listare la casa de marcat, 

- se va lista aviz de expeditie in loc de factura

- in Registrul Jurnal apare tipul documentului "Bon fiscal", iar in vizualizarea facturilor din Comercial va apare "Bon fiscal magazin"

OBS: Trebuie configurate: Tip document PROFORMA si BON FISCAL.
-->

<!-- 
21/01/2015
ROAFACTURARE - 2.3.2

:nou:
  La sfarsitul facturii se poate alege daca se continua cu aceeasi operatie cu copierea datelor, fara copierea datelor sau se renunta la operatie.

  Se preiau si "agentul", "delegatul" si "masina" de la factura anterioara.
-->

<!-- 
19/01/2015
ROAFACTURARE - 2.3.1

A fost modificat planul de conturi pe anul 2015 si modificate notele contabile afectate, anume: 1064>1038, 1067>1033, 1065>1175, 169>1691, 642>6421, 665>6651, 671>6587, 701>7015, 763>766, 765>7651.
-->

<!-- 
19/01/2015
ROAFACTURARE - 2.3.0

:nou:
  Incasare. Factura se poate incasa si cu bon fiscal. Incasarea prin bon fiscal are doua optiuni suplimentare:  
  - incasare cu cardul prin POS
  - listare detaliata a articolelor la casa de marcat fata de listarea unei singure pozitii "contravaloarea facturii nr..."
  
:modificare:
  * Introducere factura. 
  - Fereastra de alegere a responsabilului se deschidere automat, nu la cererea utilizatorului (DEL sau mouse click).

  - Dupa intrare in campul explicatii se iese cu tasta ENTER.

  -  Fereastra de alegere a masinii din date suplimentare factura se deschidere automat, nu la cererea utilizatorului (DEL sau mouse click).
-->

<!-- 
12/12/2014
ROAFACTURARE - 2.2.22

:modificare:
  Verificare CUI parteneri este din nou functionala. 

  S-a modificat metoda de extragere a informatiilor de pe mfinante.ro, pentru a trece peste restrictiile impuse de mfinante.ro.
-->

<!-- 
30/10/2014
ROAFACTURARE - 2.2.21

:modificare:
  Formular facturare, vizualizare facturi: Se retin ordinea si dimensiunea coloanelor din tabel. Se pot exporta datele in format xls.
-->

<!-- 
06/05/2014
ROAFACTURARE - 2.2.20

:nou:
 La "Avize de expeditie > Catre clienti in custodie > Retur valoric", a fost adaugat si campul "Total valoare vanzare cu TVA".

:modificare:
 Modificari interne la calculul TVA-ului unitar la achizitie si a valorilor de achizitie in formularul de adaugare a articolului pe factura / aviz ( formular comun cu ROAGEST ).
-->

<!-- 
17/04/2014
ROAFACTURARE - 2.2.19

:modificare:
 Modificari la transformarea sumelor in cuvinte pentru listarea chitantei ( pentru suma de 1000 de lei ).

:modificare:
 Modificari interne la scrierea notelor contabile si a rulajelor.
-->

<!-- 
20/02/2014
ROAFACTURARE - 2.2.18

:modificare:
 A fost modificata listarea declaratiei de conformitate astfel incat sa apara doar inregistrarile cu informatii distincte.

:eroare:
 La factura pe baza de comanda, aparea o eroare in cazul in care se apasa butonul ">>" si existau mai multe explicatii de TVA pentru cota implicita pentru articolul respectiv. A fost rezolvata problema.

:eroare:
 La "Rapoarte > Lista facturi si avize", nu era activ butonul de listare a declaratiei de conformitate pentru prima inregistrare din lista de rezultate ale cautarii, chiar daca aceasta indeplinea criteriile ( factura sau aviz pe baza de comanda ), decat daca se facea click pe un alt rand, dupa care pe primul rand. A fost corectata problema.
-->

<!-- 
11/02/2014
ROAFACTURARE - 2.2.17

:nou:
  A fost completat nomenclatorul de localitati cu toate localitatile de pe nivelul 3 din SIRUTA. Pentru localitatile si satele care au denumirea diferita de comuna / orasul / municipiul din care fac parte, a fost adaugata o explicatie suplimentara, intre paranteze, cu denumirea comunei / orasului / municipiului respectiv.

:nou:
  La completarea unei adrese, daca se alege judetul, atunci este obligatorie alegerea localitatii.

:nou:
  La completarea unei adrese, daca in acelasi judet exista mai multe localitati / sate care au aceeasi denumire cu localitatea / satul ales, atunci, in campul "Localitate", va aparea o iconita de avertizare.

:nou:
  Daca se doreste ca sa apara si denumirea adresei in momentul in care se listeaza adresa unei entitati, atunci, in formularul de adaugare / modificare adresa, trebuie bifata casuta "Apare pe adresa" din campul "Denumire adresa".

:modificare:
  Nu se mai completeaza localitatea in datele entitatilor, ci doar pe adresa.

:modificare:
  Adresa de email din datele entitatilor se poate completa cu litere mici.

:modificare:
  Din adresa unei entitati a fost eliminat campul "Sector". Pentru sectoarele municipiului Bucuresti, se alege la judet "BUCURESTI", iar la localitate se alege una dintre optiunile de mai jos :
	- BUCURESTI SECTORUL 1
	- BUCURESTI SECTORUL 2
	- BUCURESTI SECTORUL 3
	- BUCURESTI SECTORUL 4
	- BUCURESTI SECTORUL 5
	- BUCURESTI SECTORUL 6
-->

<!-- 
16/01/2014
ROAFACTURARE - 2.2.16

:eroare:
 Daca era blocata luna pentru programul de facturare, se mai puteau emite facturi pe la optiunile "Pe baza de lista de preturi", "Pe baza de contract", "Pe baza de comanda", "Din aviz", precum si avize. A fost corectata problema.
-->

<!-- 
04/12/2013
ROAFACTURARE - 2.2.15

:nou:
 In fereastra de vizualizare inainte de imprimare, pentru listarile in format A5, daca se doreste listarea in 2 sau mai multe exemplare, se poate alege optiunea "2*A5 > A4" pentru gruparea a doua exemplare A5 pe o foaie format A4.

:nou:
 A fost adaugat meniul in limba romana pentru fereastra de vizualizare inainte de imprimare.

:modificare:
 Modificari interne la listari.
-->

<!-- 
19/11/2013
ROAFACTURARE - 2.2.14

:modificare:
 La transfer, la alegerea gestiunii destinatie, nu mai sunt afisate conturile sau analiticele inactive in anul respectiv.

:modificare:
 Modificari interne la setarile pentru zecimalele preturilor de achizitie in valuta sau la sumele corespunzatoare acestora.
-->

<!-- 
26/09/2013
ROAFACTURARE - 2.2.13

:modificare:
  S-au schimbat combinatiile de taste pentru redimensionarea font-ului in formulare:

  Marire font: CTRL+SAGEATA  SUS
  Micsorare font: CTRL+SAGEATA  JOS
  Resetare font: CTRL+SAGEATA  STANGA
-->

<!-- 
16/09/2013
ROAFACTURARE - 2.2.12

:nou:
  Dimensiunea caracterelor din formulare, modificata de utilizator, se retine de la  o rulare la alta a programului.

  Dimensiunea caracterelor se poate modifica prin scurtaturile SHIFT+ si SHIFT- sau click dreapta pe un loc liber din formulare si alegerea optiunii corespunzatoare din meniu.

:modificare:
  Modificari interne.
-->

<!-- 
21/08/2013
ROAFACTURARE - 2.2.11

:eroare:
 Desi in optiuni era setat ca data scadenta sa fie automata, aceasta putea fi modificata din fereastra care afiseaza calendarul ( acolo unde este prezent butonul pentru calendar ) sau manual la operatiile din "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie", "Marfuri la pret de vanzare" si "Marfuri la pret de achizitie*" de la "Facturare". A fost corectata problema.
-->

<!-- 
09/07/2013
ROAFACTURARE - 2.2.10

:eroare:
  Daca se intrerupea conexiunea cu serverul, programul nu mai incerca sa se reconecteze si afisa aceeasi eroare de fiecare data cand se apasa pe butonul "Terminat". A fost corectata problema.
-->

<!-- 
01/07/2013
ROAFACTURARE - 2.2.9

:nou:
  La introducerea datelor avizelor/facturilor, pentru campurile de tip data se poate alege ziua si dintr-o fereastra care afiseaza calendarul.

:modificare:
  La "Rapoarte > Lista facturi si avize > Modificare explicatie articol" se afiseaza numarul de caractere maxim admis.

:eroare:
  La "Rapoarte > Lista facturi si avize > Modificare explicatie articol" a fost corectata eroarea care aparea in cazul in care explicatia continea un apostrof.
-->

<!-- 
11/04/2013
ROAFACTURARE - 2.2.8

:modificare:
  Au fost modificate formularele de facturi si avize, deoarece au fost cazuri cand nu aparea numarul de document atunci cand seria era mai lunga sau cantitatea nu era inscrisa complet atunci cand era de ordinul zecilor de mii.
-->

<!-- 
09/04/2013
ROAFACTURARE - 2.2.7

:modificare:
A fost adaugata posibiliatea de a cauta si dupa un partener din lista sau dupa o gestiune in "Lista Facturi si Avize".
-->

<!-- 
18/03/2013
ROAFACTURARE - 2.2.6

:modificare:
 In fereastra de verificare a notelor contabile, nu se mai completeaza automat analiticul pe toate aparitiile contului curent.
-->

<!-- 
12/03/2013
ROAFACTURARE - 2.2.5

:modificare:
  La "Rapoarte > Lista facturi si avize", a fost adaugat un buton de modificare a explicatiei de pe articolele din factura / aviz. Butonul este situat in partea dreapta sus a tabelului cu articolele de pe factura / aviz.

:eroare:
  La stergerea unei facturi pe baza de contract in rate aparea un mesaj de eroare. A fost corectata problema.
-->

<!-- 
07/03/2013
ROAFACTURARE - 2.2.4

:nou:
 La "Initializari > Optiuni server", optiunea "Zile scadenta" poate fi completata chiar daca scadenta nu este automata. In acest caz, valoarea inscrisa in campul "Zile scadenta" este folosita ca valoare implicita, dar poate fi modificata la introducerea datelor.
 Daca in campul "Zile scadenta" este inscrisa valoarea -1, atunci data scadenta va fi la distanta de o luna de data documentului. Ex. : data document 28/02/2013 - scadenta 28/03/2013, data document 31/03/2013 - scadenta 30/04/2013.
-->

<!-- 
08/02/2013
ROAFACTURARE - 2.2.3

:modificare:
  Pe factura in valuta, la rubrica "Total de plata" nu aparea inscrisa valuta. A fost corectata problema.
-->

<!-- 
16/01/2013
ROAFACTURARE - 2.2.2

:modificare:
  La "Avize de expeditie > Catre clienti in custodie > Retur valoric" se pot alege articole cu orice cont, iar, in momentul adaugarii pe aviz, pretul de achizitie propus este ultimul pret de achizitie din rulaje.
-->

<!-- 
14/01/2013
ROAFACTURARE - 2.2.1

:modificare:
 Au fost modificate formularele de factura cu chitanta.

:eroare:
 La emiterea unei facturi care era achitata cu chitanta aparea o eroare. A fost corectata problema.
-->

<!-- 
03/01/2013
ROAFACTURARE - 2.2.0

:modificare:
 Modificari TVA incasare.
-->

<!-- 
27/11/2012
ROAFACTURARE - 2.1.6

:modificare:
 Modificari interne la afisarea zecimalelor : setari diferite pentru preturile de vanzare in lei, in valuta si pentru totaluri.
-->

<!-- 
04/09/2012
ROAFACTURARE - 2.1.5

:modificare:
  La configurarea seriilor si plajelor de numere, in caz ca nu se doreste generarea automata de numere pentru un tip de document, atunci se apasa butonul de modificare corespunzator tabelului din partea stanga si la "Tip entitate" se alege "NU SE GENEREAZA". Astfel, mesajul "Nu exista plaje de serii ... pentru aceste configurari!" nu va mai fi afisat inaintea formularelor de introducere care contin respectivul tip de document.
-->

<!-- 
24/07/2012
ROAFACTURARE - 2.1.4

:modificare:
  La adaugarea unei adrese pentru un client, campul "Tara" este completat automat cu "Romania", iar sectorul nu mai poate fi completat. Pentru adresele care contin si sectorul, se alege in campul "Localitate" sectorul corespunzator ( "Bucuresti - sector 1", etc. ).

:modificare:
  Modificari interne la stergerea din lista facturi si avize.

:modificare:
  Compatibil cu ROASTART v 2.1.1.
-->

<!-- 
20/06/2012
ROAFACTURARE - 2.1.3

:nou:
  La "Facturare", in formularul de factura de la optiunile :
	- "Materii prime si materiale"
	- "Produse"
	- "Marfuri la pret de achizitie"
	- "Marfuri la pret de vanzare"
	- "Marfuri la pret de achizitie *"
	articolele care exista in stoc/rulaje, dar in catalogul de materiale si marfuri nu sunt marcate ca fiind gestionabile, sunt scrise cu rosu. De asemenea, acestea nu pot fi adaugate pe factura decat dupa ce sunt bifate in catalog ca fiind gestionabile.
-->

<!-- 
06/06/2012
ROAFACTURARE - 2.1.2

:eroare:
  A fost corectata problema de la salvarea pe calculator a notelor contabile ( la facturare ).
-->

<!-- 
29/03/2012
ROAFACTURARE - 2.1.1

:nou:
  In formularul de cautare a unui client dintr-o factura s-au adaugat butoanele "copiere partener" si "validare cod fiscal".
-->

<!--
22/11/2011
ROAFACTURARE - 2.1.0

:nou:
  In bara de ajutor, langa pictograma cu semnul intrebarii ( pentru lansarea manualului ),  a fost adaugata iconita pentru actualizarea si lansarea programului Romfast Suport.

:nou:
  La "Rapoarte > Lista facturi si avize", in meniul pentru listarea centralizatoarelor a fost adaugata optiunea "Borderou trimiteri recomandate cu A.R.". Inainte de listare, trebuie selectate facturile care vor fi trimise prin aceasta metoda.

:nou:
 La avizele de la transferul catre subunitati pe baza de lista de preturi / pe baza de comanda, daca gestiunea destinatie are contul 357, atunci, pe langa clientul care primeste marfa in custodie, se poate alege si contractul ( va aparea pe aviz in fata textului aditional ).

:modificare:
  A fost modificat calculul discountului global fara TVA pentru cazul in care nu se evidentiaza discountul unitar si optiunea de listare a pretului fara TVA pe aviz este activata.

:modificare:
  Pe facturi si pe avize a fost adaugata si explicatia "lei" pe coloanele cu preturi si valori.
-->

<!--
15/09/2011
ROAFACTURARE - 2.0.99

:nou:
  Pe facturile si avizele bazate pe comenzi de la clienti se poate lista si numarul si data contractului ( in cazul comenzilor de clienti bazate pe contracte ).

:modificare:
  La "Facturare > Pe baza de lista de preturi > Marfa in custodie", daca se corecteaza baza sau TVA-ul, atunci se corecteaza si notele corespunzatoare contului 357.
-->

<!--
31/08/2011
ROAFACTURARE - 2.0.98

:modificare:
  Modificari la relistarea facturilor de devize auto.

:modificare:
  Modificari interne la facturare.
-->

<!--
25/08/2011
ROAFACTURARE - 2.0.97

:nou:
  In formularul de introducere a datelor facturii a fost adaugat campul "Explicatie", al carui continut se va regasi in "Registrul jurnal" si in "Facturi vanzari" pe coloana "Explicatie 4".
-->

<!--
11/08/2011
ROAFACTURARE - 2.0.96

:nou:
  La "Avize de expeditie > Catre clienti in custodie" a fost adaugata optiunea "Retur valoric".

:modificare:
  Modificari interne la alegerea tarii pe adresa clientului.
-->

<!--
15/07/2011
ROAFACTURARE - 2.0.95

:nou:
  De la "Rapoarte > Lista facturi si avize" se pot relista si facturile de devize auto ( emise din ROAAUTO ).

:nou:
  A fost adaugata optiunea de facturare marfa in custodie fara descarcare cu K ( "Facturare > Pe baza de lista de preturi > Marfa in custodie > Fara descarcare pe baza de K" ). Aceasta operatie produce notele : 
	*	4111 -  707
	*	4111 - 4427
	*	 371 -  357

:modificare:
  Operatia "Facturare > Pe baza de lista de preturi > Descarcarea pe baza de K" a fost mutata la "Facturare > Pe baza de lista de preturi > Marfa in custodie > Cu descarcare pe baza de K".

:modificare:
  Optiunea "Politica de pret pentru descarcarea cu K" a fost redenumita in "Politica de pret pentru facturare marfa in custodie" si este valabila pentru ambele tipuri de facturare pentru marfa in custodie.

:modificare:
  Modificari interne.
-->

<!--
30/06/2011
ROAFACTURARE - 2.0.94

:modificare:
  Modificari interne pentru afisarea diacriticelor si pe sistemele care au setate alta limba decat "English ( United States )" pentru programele non-Unicode.
-->

<!--
27/06/2011
ROAFACTURARE - 2.0.93

:nou:
  La "Avize de expeditie > Catre clienti in custodie" a fost adaugata optiunea "Pe baza de comanda ( ptr. facturare valorica )". Optiunea veche a fost redenumita in "Pe baza de comanda ( ptr. facturare cantitativa )". Avizele inregistrate prin aceasta optiune sunt trecute pe un analitic separat ( in conturile 378 si 4428 ) pentru a se urmari mai usor valoarea marfii aflata in custodie.

:nou:
  La "Facturare > Pe baza de lista de preturi" a fost adaugata optiunea "Descarcarea pe baza de K". Inainte de finalizarea facturii, se arata ( in functie de optiunea descrisa mai jos ) coeficientul K folosit pentru notele de descarcare din gestiune. Notele corespunzatoare contului 371 folosesc analiticul de la operatia de aviz de expeditie catre clienti in custodie descrisa mai sus.
  !!! ATENTIE : Pentru folosirea acestei optiuni, trebuie initializate optiunile "Politica de pret pentru descarcare pe baza de K" si "Coeficientul K este invizibil / vizibil, nemodificabil / vizibil, modificabil".
  !!! ATENTIE : Nu sunt aratate in fereastra de facturare decat articolele negestionabile din lista de preturi.

:modificare:
  Au fost adaugate diacritice in fereastra principala si pe listari.

:modificare:
  A fost modificata cautarea partenerilor la verificarea notelor contabile. Partenerii sunt afisati in doua culori de fundal ( alb si gri ). Cei in gri corespund criteriului de cautare, dar nu au asociat contul respectiv. Daca este ales partenerul cu fundalul gri, atunci i se va atribui automat tipul corespunzator contului.

:modificare:
  Modificari interne.
-->

<!--
03/12/2010
ROAFACTURARE - 2.0.92

:modificare:
  Modificari la avizele de protocol si sponsorizare : pe listare vor aparea cantitatea, pretul fara TVA, valoarea fara TVA si valoarea TVA.
-->

<!--
17/11/2010
ROAFACTURARE - 2.0.91

:eroare:
  A fost corectata eroarea care aparea la modificarea optiunilor din "Initializari > Optiuni locale".

:eroare:
  A fost corectata eroarea care aparea la citirea cursului de pe internet in cazul in care nu exista directorul C:\temp.
-->

<!--
08/10/2010
ROAFACTURARE - 2.0.90

:nou:
  In fereastra in care se afiseaza cursul valutar au fost adaugate coloanele "Multiplicator" ( pentru cate unitati din valuta respectiva este valabil cursul respectiv ) si "Simbol" ( standardul ISO pentru valuta respectiva ). Ex. : 100 JPY = 3.7085 . Cele doua caracteristici au fost incluse si in fereastra de adaugare a cursului.
  De asemenea, a fost adaugat si campul "Curs BNR" care se completeaza automat de pe internet cu cotatia BNR din ziua specificata la "Data inceput".
  Multiplicatorul este completat din datele preluate de pe internet. Daca nu se poate prelua cursul din ziua respectiva, atunci multiplicatorul poate fi modificat de utilizator.

:nou:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de NIR", nu se poate trece mai departe de fereastra cu datele avizului daca nu sunt completate si gestiunea sursa, gestiunea destinatie, furnizorul si numarul facturii.

:modificare:
  Modificari interne la listarea cursului pe factura.

:eroare:
  La "Facturare > Pe baza de lista de preturi > Factura fiscala in valuta", daca se alegea proforma se lista tot formularul de factura.

:eroare:
  La "Facturare > Pe baza de lista de preturi > Invoice", daca se alegea proforma, aparea o eroare la listarea proformei in valuta.

:eroare:
  La modificarea adaosului, daca lista de preturi era in valuta, se actualiza doar pretul in lei.

:eroare:
  A fost corectata eroarea de la adaugarea pe factura a articolelor cu serie ( prin selectare multipla ).

:eroare:
  La "Avize de expeditie > Transfer intre subunitati > Retur transfer", daca politica de preturi era in valuta si se modifica pretul de vanzare, atunci nu se actualiza corect pretul din lista.
  De asemenea, la modificarea pretului de vanzare ( indiferent de moneda ) nu se actualiza pretul in tabelul din stanga.

:eroare:
  Lista de livrare pentru avize continea explicatia "Lista livrare pentru factura..." in loc de "Lista livrare pentru avizul...".
-->

<!--
23/09/2010
ROAFACTURARE - 2.0.89

:modificare:
  Daca pe contract este specificat sa nu mai apara data scadenta pe factura, atunci va aparea in textul aditional de pe factura "Scadenta la X zile".
  ATENTIE!!! Textul aditional poate fi modificat de utilizator, astfel incat este posibil ca pe factura sa nu mai apara explicatia legata de scadenta. De asemenea, in caz ca se apasa renunt in fereastra in care se completeaza textul aditional si se modifica data scadenta, textul aditional se actualizeaza automat doar daca nu s-a sters sau modificat explicatia "Scadenta la X zile".

:modificare:
  Modificari interne la facturare si la relistarea facturilor.
-->

<!--
09/07/2010
ROAFACTURARE - 2.0.88

:eroare:
  A fost corectata eroarea care aparea la incasarea cu chitanta atunci cand nu sunt definite serii pentru acest tip de document.
-->

<!--
08/07/2010
ROAFACTURARE - 2.0.87

:nou:
  A fost adaugata optiunea "Facturare > Pe baza de lista de preturi > Restaurant".
-->

<!--
28/06/2010
ROAFACTURARE - 2.0.86

:modificare:
  La "Rapoarte > Articole > Articole transferate", inregistrarile sunt ordonate dupa procentul de vanzari ( descrescator ) si dupa valoarea de achizitie ( descrescator ).
-->

<!--
23/06/2010
ROAFACTURARE - 2.0.85

:modificare:
  La "Rapoarte > Articole > Articole transferate", au fost completate tipurile de operatii luate in considerare pentru transferurile intre subunitati. Au fost adaugate si operatiile de retur.
-->

<!--
01/06/2010
ROAFACTURARE - 2.0.84

:nou:
  La emiterea unei facturi, daca se achita cu chitanta si au fost definite mai multe serii de chitante, atunci este selectata automat seria care are acelasi nume cu seria facturii.
  ( Ex. : Pentru seria de factura ABCD, daca exista seria de chitanta ABCD, atunci ABCD este selectata implicit cand se alege achitarea cu chitanta ).

:modificare:
  Data expeditiei nu poate fi mai mica decat data documentului.

:modificare:
  Daca o factura a fost achitata cu bon fiscal, atunci pe formularul de factura apare explicatia "Achitat cu bon fiscal nr." si nu mai apare formularul de chitanta dupa listarea facturii ( sau formularul de factura cu chitanta ).

:modificare:
  Modificari interne pentru articolele care nu au pret de achizitie in valuta.

:modificare:
  Modificari interne la emiterea/listarea/relistarea facturilor/proformelor cu seturi.
-->

<!--
08/04/2010
ROAFACTURARE - 2.0.83

:eroare:
  A fost corectat centralizatorul de articole din "Rapoarte > Lista facturi si avize > Listare centralizatoare > Centralizator articole" ( pe coloanele "Pret vanz. cu TVA" si "Valoare vanzare" apareau si preturile fara TVA  ).
-->

<!--
30/03/2010
ROAFACTURARE - 2.0.82

:eroare:
  A fost corectat centralizatorul transferurilor de articole pe gestiuni ( nu era calculat totalul ).
-->

<!--
30/03/2010
ROAFACTURARE - 2.0.81

:eroare:
  A fost corectat centralizatorul transferurilor de articole pe gestiuni ( totalul era afisat cu stelute ).

:eroare:
  In formularul de completare a delegatului, generarea numarului de chitanta nu se mai face la intrarea in formular, ci doar atunci cand e selectata "Chitanta" la incasare.
-->

<!--
12/03/2010
ROAFACTURARE - 2.0.80

:nou:
  A fost adaugat formularul de factura cu chitanta pentru facturile pe format A4 care au maxim 10 articole. Optiunea poate fi activata din "Initializari > Optiuni server > Listari".


:modificare:
  Modificari interne si la afisarea explicatiei de TVA pentru cota 0%.

:modificare:
  A fost modificat separatorul pentru zecimale de pe listari din punct in virgula.

:modificare:
  La alegerea delegatului, masinii si agentului se pot specifica data si ora expedierii. In mod implicit, acestea sunt data si ora curenta.
  In cazul unei facturi deja inregistrate, aceste date se pot modifica si din "Rapoarte > Lista facturi si avize > Modificare".
-->

<!--
10/02/2010
ROAFACTURARE - 2.0.79

:eroare:
  Pe avizul de expeditie cu pretul cu TVA aparea pretul fara TVA. A fost corectata listarea.
-->

<!--
05/02/2010
ROAFACTURARE - 2.0.78

:nou:
  Se listeaza si chitantele pentru facturile in lei.
-->

<!-- 
04/12/2009
ROAFACTURARE - 2.0.77

:nou:
  Formularele tipizate pentru facturi ( A4 si A5 ) si pentru avize ( A4 si A5 ) au fost inlocuite de formulare netipizate.

:nou:
  Pe formularele pentru facturi, avize, lista de livrare si recapitulatie factura apare si textul "© ROA Romfast SRL".

:modificare:
  Pe formularul de invoice au fost adaugate numarul de inregistrare de la Registrul Comertului, banca si contul clientului.

:modificare:
  Optiunea referitoare la pretul listat pe avizele de transfer catre subunitati ( cu TVA / fara TVA ) este valabila pentru toate avizele.
  In "Initializari > Optiuni server > Avize", optiunea s-a modificat in "Pretul listat pe avize este : Cu TVA / Fara TVA".

:eroare:
  A fost corectata eroarea "Field NUME_LISTA_PRETURI does not accept null values.".

:eroare:
  Au fost indepartate erorile din formularul de adaugare masini.

:eroare:
  A fost corectata eroarea care aparea la schimbarea explicatiei de TVA pentru articolele cu preturi doar in lei.

:eroare:
  A fost rezolvata problema de la introducerea seriei avizului de retur ( atunci cand nu era definita/activa nicio plaja ).

:eroare:
  Daca la "Initializari > Optiuni server > Listari > Alegeti formatul implicit pentru facturi" era selectat "A4 si A5", iar in momentul emiterii unei facturi in valuta se alegea "A4", atunci listarea in valuta era in format A5. A fost corectata problema.

:eroare:
  La facturarea pe baza de contract, aparea eroarea "(nimic)". A fost corectata problema.

:eroare:
  Pe facturile contractelor in valuta, nu aparea complet cursul ( Ex. : "Curs valutar = 4.4420 RON / " ).
  La relistarea din "", aparea corect ( Ex. : "Curs valutar = 4.4420 RON / " ).
  A fost corectata problema.
-->

<!-- 
16/09/2009
ROAFACTURARE - 2.0.76

:nou:
  De la "Rapoarte > Lista facturi si avize", se pot relista facturile emise din ROAHOTEL si ROARESTAURANT.

:nou:
  Verificarea CIF din pagina www.mfinante.ro se poate face prin pagina Romfast sau un alt server web, pentru clientii care au restrictionat accesul la internet.
  La adaugarea unui partener nou se verifica validitatea CIF/CNP.
  Pentru CIF-uri se pot verifica si informatiile de pe pagina www.mfinante.ro si calitatea de platitor TVA.
  Pentru verificare se apasa butonul de verificare din dreptul codului fiscal.

OBS:
  Pentru informatiile denumire, adresa, registrul comertului si calitatea de platitor TVA trebuie sa existe conexiune internet.
  Programul acceseaza pe internet o pagina de pe serverul Romfast.
-->

<!-- 
08/09/2009
ROAFACTURARE - 2.0.75

:eroare:
  A fost corectat formularul de facturare.Nu se puteau adauga articole pe factura de retur de la "Facturare > Pe baza de lista de preturi > Retur factura in lei".
-->

<!-- 
21/08/2009
ROAFACTURARE - 2.0.74

:modificare:
  A fost marit campul de la cautare pentru "Cod material".

:modificare:
  A fost corectat formularul de adaugare articol pe factura.
  Pentru articolele care aveau setat la procentul de TVA "Ales la facturare", nu era calculat discountul unitar cu TVA si aparea o eroare in caz ca utilizatorul sarea campurile "Procent discount" sau "Discount unitar fara TVA"/"Discount unitar cu TVA".
-->

<!-- 
11/08/2009
ROAFACTURARE - 2.0.73

:modificare:
  S-a corectat formularul de adaugare articol pe factura.
  La introducerea "discountului unitar cu sau fara TVA" nu se putea completa partea zecimala.
-->

<!--
22/04/2009
ROAFACTURARE - 2.0.72

:modificare:
  Dupa adaugarea unui articol pe aviz/factura, cursorul se muta fie pe casuta text de pe care s-a efectuat cautarea ( daca sunt completate ambele, atunci se muta pe "Cod material" ), fie pe tabelul cu articole ( daca nu s-a efectuat vreo cautare ).
-->

<!--
21/04/2009
ROAFACTURARE - 2.0.71

:modificare:
  La avize nu se mai cere data scadenta.

:modificare:
  La transferul intre subunitati se pot alege si gestiunile de materii prime si materiale.

:modificare:
  La "Avize > Transfer intre subunitati > Pe baza de NIR" se pot alege la "Gestiunea sursa" doar cele de tip "Marfa la pret de vanzare" si "Marfa la pret de achizitie *", iar de pe NIR sunt alese doar articolele corespunzatoare gestiunii sursa alese.

:modificare:
  Fereastra de verificare a notelor contabile apare doar daca mai trebuie completate date.

:modificare:
  Modificare interna la listari  : a fost indepartata imprimanta salvata ca implicita.

:modificare:
  Modificari interne la citirea seturilor de note.

:eroare:
  A fost corectata eroarea care aparea in cazul in care se incerca adaugarea de cursuri valutare multiple, dar toate erau 0.

:eroare:
  A fost corectata eroarea care aparea la apasarea butonului "Reset" de la "Initializari > Masini".

:eroare:
  A fost corectata operatia de la "Avize > Transfer intre subunitati > Pe baza de NIR" : campul "Curs" din notele contabile era completat cu 1, in loc de 0.
-->

<!--
17/03/2009
ROAFACTURARE - 2.0.70

:modificare:
  In bara cu programe favorite s-a adaugat verificarea versiunii de program si, dupa caz, actualizarea.

:modificare:
  Optiunea de listare a cursului valutar pe factura in lei este luata in considerare si in cazul proformelor in lei ( "Initializari > Optiuni server > Listari" ).

:eroare:
  A fost corectata eroarea de la intrarea in formularul de facturare / avizare pentru cazurile in care erau afisate articolele de pe o singura politica de preturi.
-->

<!--
18/02/2009
ROAFACTURARE - 2.0.69

:modificare:
   Modificari interne pentru facturare contracte din modulul RoaContracte.
-->

<!--
11/02/2009
ROAFACTURARE - 2.0.68

:modificare:
  A fost corectata eroarea de la intrarea in "Rapoarte > Lista proforme".

:modificare:
  Modificari interne la facturarea din stoc.
-->

<!--
09/02/2009
ROAFACTURARE - 2.0.67

:modificare:
  A fost modificata facturarea pe baza de contract.
  Se pot alege pentru facturare/avizare mai multe contracte ale aceluiasi client.
  Se pot adauga pe factura/aviz si repere din politicile de preturi. Astfel, in fereastra de facturare, in partea stanga sunt doua tabele. In cel de sus sunt afisate ratele si/sau reperele cuprinse in contractele selectate pentru facturare/avizare, iar in cel de jos sunt afisate articolele din politicile de preturi pe care are drepturi utilizatorul.
  Pentru articolele din politicile de preturi, in momentul in care sunt adaugate pe factura/aviz, trebuie ales si contractul corespunzator ( in cazul in care sunt mai multe ).

:modificare:
  In fereastra de facturare / avizare au fost facute modificari la lucrul cu tastele.
  Astfel, daca se apasa TAB in tabelul cu articolele/ratele de pe contracte, atunci focusul se muta in tabelul cu politicile de preturi, iar cu un alt TAB, focusul se muta in tabelul cu elementele de pe factura. Daca se mai apasa inca o data TAB, atunci focusul revine in tabelul cu continutul contractelor selectate.
  Daca se apasa ENTER in tabelul corespunzator contractelor sau in cel corespunzator politicilor de preturi, atunci apare fereastra de adaugare.

:modificare:
  In cazul in care se emite un aviz/o factura pentru mai multe contracte, atunci explicatia referitoare la contracte va contine si referinte la pozitia din factura. 
  Exemplu : 1-4 cf. contractului 1/01.01.2009,5-7 cf. contractului 2/01.01.2009.

:nou:
  La emiterea unei proforme se poate completa si textul aditional.

:nou:
  La "Initializari > Optiuni server > Generale", a fost adaugata optiunea de retinere a procentului de discount de la un reper la urmatorul ("Se retine procentul de discount de la un reper la urmatorul?"). Initial, optiunea este pe "NU".

:nou:
  La "Initializari > Optiuni server > Listari", a fost adaugata optiunea de listare a cursului valutar pe factura/aviz in lei ("Se listeaza cursul valutar pe factura in lei?"). Initial, optiunea este pe "DA".

:nou:
  A fost adaugata posibilitatea de a corecta totalul cu TVA si totalul TVA inscris in notele contabile.

:eroare:
  La "Rapoarte > Lista proforme", in tabelul cu reperele de pe proforma nu aparea denumirea.

:eroare:
  La "Rapoarte > Lista facturi", daca erau selectate 2 inregistrari si se stergea una dintre ele, nu se actualiza tabelul cu reperele de pe aviz/factura. A fost corectat acest bug.

:modificare:
  Modificari interne la facturarea pe seturi din contract.

:modificare:
  Alte modificari interne.
-->

<!--
07/01/2009
ROAFACTURARE - 2.0.66
 
:eroare:
  In fereastra de alegere a delegatului, in cazul in care exista un delegat pe ultima factura / ultimul aviz si nu se alegea altul pentru documentul curent, pe listare nu aparea CNP-ul. S-au facut modificarile necesare pentru preluarea CNP-ului si in acest caz.
-->

<!--
05/12/2008
ROAFACTURARE - 2.0.65
 
:modificare:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare", in cazul in care nu se foloseste algoritmul de repartizare automata, iar stocul pentru un anumit articol este 0, atunci cantitatea repartizata este completata cu 0.
-->

<!--
28/11/2008
ROAFACTURARE - 2.0.64
 
:modificare:
  A fost scos din functiune raportul "Centralizator valoric pe subgrupe de produse" din "Rapoarte > Alte rapoarte".
-->

<!--
20/11/2008
ROAFACTURARE - 2.0.63
 
:modificare:
  In "Rapoarte > Lista facturi si avize>Listare centralizatoare>Centralizator articole" vor fi afisate perioada si totalul subgrupei. 

:modificare:
 In "Rapoarte > Lista facturi si avize>Listare centralizatoare" a fost adaugata optiunea "Centralizator documente grupate" ( dupa tipurile de operatii si clienti si totaluri pe clienti si pe tipulde operatii). 
-->
<!--
13/11/2008
ROAFACTURARE - 2.0.62

:modificare:
  In "Rapoarte > Articole > Articole transferate" la cautarea gestiunii sursa, vor fi afisate toate tipurile de gestiuni (inainte erau afisate doar gestiunile la pret de vanzare). 
-->
<!--
30/10/2008
ROAFACTURARE - 2.0.61

:nou:
  A fost adaugat meniul "Facturare > Marfuri la pret de achizitie *" ( Marfuri la pret de achizitie cu pret de vanzare ).

:nou:
  La "Avize de expeditie > Catre clienti" a fost adaugata optiunea "Retur aviz marfa (valoric) - gestiune la pret de achizitie *",iar vechea optiune "Retur aviz marfa (valoric)" a fost redenumita in "Retur aviz marfa (valoric) - gestiune la pret de vanzare".

:modificare:
  Nu mai apare optiunea "Se imprima lista de livrare" daca pe factura sunt doar servicii.

:eroare:
  A fost corectata eroarea care aparea inaintea listarii facturilor pe baza de contracte in rate.

:modificare:
  Modificari interne pentru gestiunile de tip "Marfa la pret de achizitie *".
-->

<!--
27/10/2008
ROAFACTURARE - 2.0.60

:modificare:
  A fost marit campul "Explicatie TVA" din fereastra de adaugare a articolelor pe factura / aviz / proforma ( si pentru servicii ).
-->

<!--
24/10/2008
ROAFACTURARE - 2.0.59

:modificare:
  Modificari interne pentru calea catre COMUNROA.
-->

<!--
23/10/2008
ROAFACTURARE - 2.0.58

:nou:
  A fost adaugata optiunea de scriere in baza de date a urmatoarelor documente sub forma de fisier PDF :
  - factura
  - aviz ( in afara avizelor de transfer pe baza de lucrare )
  - invoice
  - factura fiscala in valuta
  - recapitulatie.
  Initial, nu se salveaza documentele in baza de date. Optiunea poate fi modificata din "Initializari > Optiuni server > Generale".
-->

<!--
17/10/2008
ROAFACTURARE - 2.0.57

:modificare:
  A fost marit campul "Explicatie TVA" din fereastra de adaugare a articolului pe factura / aviz / proforma.
-->

<!--
09/10/2008
ROAFACTURARE - 2.0.56

:modificare:
  La "Facturare > Pe baza de lista de preturi", optiunea "Factura in valuta" a fost redenumita in "Invoice".

:nou:
  La "Facturare > Pe baza de lista de preturi" au fost adaugate optiunile "Retur factura in lei", "Factura fiscala in valuta" si "Retur factura in valuta".
  La "Factura fiscala in valuta", operatiile sunt identice ca la "Invoice", doar formularul de listare este diferit ( este cel de la factura fiscala in lei ).
  La "Retur factura in lei" si "Retur factura in valuta" se poate face returul unei facturi care exista deja in baza de date.

:modificare:
  In fereastra de facturare sunt afisate cursurile din ziua selectata chiar daca politicile de preturi sunt doar in lei.

:nou:
  Se poate lista componenta seturilor si pe lista de livrare.
  La listarea / relistarea facturilor sau avizelor care contin seturi de articole, la optiunile de listare apare si "Se imprima componenta seturilor pe lista de livrare".

:modificare:
  A fost modificata cautarea din fereastra de facturare / avizare : sunt afisate in lista cu articolele ce pot fi facturate / avizate doar cele care corespund criteriilor introduse. Pentru afisarea / reafisarea tuturor articolelor, trebuie apasat butonul de resetare.

:eroare:
  A fost corectata listarea / relistarea documentelor astfel elementele incat sa apara in aceeasi ordine la relistare.

:modificare:
  Setarile de la "Initializari > Optiuni" au fost separate in : "Optiuni server" si "Optiuni locale". 
  Optiunile locale se aplica doar pe calculatorul pe care sunt facute, in timp ce optiunile de pe server se aplica tuturor calculatoarelor care acceseaza serverul.

:nou:
  La "Initializari > Optiuni locale > Generale" a fost adaugata setarea pentru criteriul de cautare cod material. Optiunea setata din aceasta fereastra o va suprascrie pe cea implicita din program ( "este..." ).

:modificare:
 In fereastra de alegere a stocului din care se scade articolul selectat, cantitatea din stoc este scrisa ingrosat.

:nou:
  Daca la apasarea butonului ">>" ( acolo unde este disponibil ), nu se poate scadea toata cantitatea, atunci apare un mesaj de confirmare.

:modificare:
  Modificare interna la discounturile pentru seturile de articole.

:nou:
  Nu se pot face seturi decat din articole cu aceeasi cota de TVA.

:modificare:
  A fost activata optiunea "Ajutor > Instructiuni de utilizare".

:modificare:
  Modificari interne.
-->

<!--
26/09/2008
ROAFACTURARE - 2.0.55

:eroare:
  A fost corectata eroarea care aparea la facturarea dupa relistarea unei facturi cu seturi de articole din lista de facturi.
-->

<!--
24/09/2008
ROAFACTURARE - 2.0.54

:eroare:
  A fost corectata eroarea de la calcularea totalurilor la facturarea in lei pe baza de seturi.

:eroare:
  A fost corectata eroarea de la listarea / relistarea recapitulatiei.
-->

<!--
12/09/2008
ROAFACTURARE - 2.0.53

:modificare:
  A fost modificata listarea centralizatorului de documente din "Rapoarte / Lista facturi si avize" sa fie preluati partenerii de pe avize in locul gestiunilor. 
  In "Rapoarte / Lista facturi si avize", pe coloana "Partener" la avizele de retur, acum este afisata gestiunea sursa in loc de gestiunea destinatie.
-->

<!--
12/09/2008
ROAFACTURARE - 2.0.52

:eroare:
  A fost corectata eroarea de la listarea facturilor din stoc.
-->

<!--
11/09/2008
ROAFACTURARE - 2.0.51

:modificare:
  La completarea modificarea preturilor la Avize de expeditie \ Transfer intre subunitati\Retur transfer se pot transmite modificarile in politicile de preturi.

:modificare:
  Modificari interne la relistarea facturilor in valuta / credit note-urilor.

:modificare:
  Modificari interne la facturile pe baza de contract.

:eroare:
  A fost corectata listarea gestiunii de la care se face returul pe avizele din "Avize de expeditie > Transfer intre subunitati > Retur transfer".
-->

<!--
10/09/2008
ROAFACTURARE - 2.0.50

:eroare:
  A fost corectata o eroare de la avizele pe baza de lucrare.
-->

<!--
10/09/2008
ROAFACTURARE - 2.0.49

:eroare:
  A fost corectata listarea fara previzualizare. 
-->

<!--
10/09/2008
ROAFACTURARE - 2.0.48

:modificare:
  Daca nu exista serii pentru articolele dintr-o factura/aviz, atunci nu mai este ceruta confirmarea de afisare a lor pe listare.

:eroare:
  A fost corectata listarea formularelor personalizate. 
-->

<!--
10/09/2008
ROAFACTURARE - 2.0.47

:modificare:
  La completarea datelor unei facturi / aviz ( in afara de operatiunile de transfer catre subunitati, unde era deja ), la fiecare trecere prin campul "Gestiune sursa" va aparea fereastra de cautare.

:eroare:
  A fost corectata eroarea de la listarea avizelor de transfer atunci cand este setata optiunea "Cu TVA" la "Pretul listat pe avizele de transferuri intre subunitati".
-->

<!--
08/09/2008
ROAFACTURARE - 2.0.46

:nou:
 Optiunea pentru listare fara vizualizare este setata pe fiecare calculator in parte si nu mai este generalizata pentru un server.

:modificare:
  A fost modificata alegerea delegatilor pe factura.
  Rezultatele cautarii sunt afisate in trei culori : 
  - alb : delegatii deja inregistrati ca fiind ai partenerului respectiv
  - gri deschis : alti delegati ( ai altor parteneri ) care corespund criteriului de cautare 
  - gri inchis : alte entitati ( indiferent de tip ) care corespund criteriului de cautare. 
  Daca este ales ca delegat un rezultat de pe fundalul gri ( deschis sau inchis ), atunci i se va atribui automat tipul "Delegat" ( daca nu il are ) si va fi inregistrat ca delegat al partenerului respectiv. La urmatoarea factura / urmatorul aviz, acesta va aparea in prima categorie ( pe fundal alb ).

:nou:
 Urmatoarele noutati si modificari sunt preluate din versiunile 1.0.41 - 1.0.56 ( versiuni care nu au fost incluse in versiunea 2.0.0 ). 

:nou:
  La adaugarea articolelor din stoc pe factura, se pot selecta mai multe articole cu serii diferite prin apasarea tastei SPACE. 
  Stocurile care nu au seria completata nu pot fi selectate cu SPACE, alegerea gestiunii facandu-se prin pozitionarea pe linia corespunzatoare din tabel ( ca in versiunile anterioare ).

:nou:
  Inainte de listarea facturii / avizului / proformei a fost adaugata o fereastra de optiuni, in functie de setarile de la "Initializari > Optiuni" si de tipul de facturare. 
  Optiunile posibile sunt :
  - Se imprima seriile pe factura / aviz.
  - Se imprima componenta seturilor pe factura / aviz.
  - Se imprima recapitulatia.
  - Se imprima lista de livrare.
 Aceasta fereastra inlocuieste intrebarile de confirmare a listarii componentelor seturilor pe factura / aviz, de confirmare a listarii recapitulatiei, de confirmare a imprimarii listei de livrare, precum si optiunea "Se listeaza componenta seturilor si pe factura / proforma" din fereastra de creare a articolelor compuse.

:nou:
  A fost adaugata posibilitatea de a se alege banca si contul/bancile si conturile firmei ce vor fi listate pe factura / aviz.
  Optiunea poate fi activata / dezactivata din programul "Definirea companiei", de la optiunea "Utilitati > Optiuni > Optiuni firma". Se cauta "ALEGEBANCA" si se modifica valoarea in "T" daca se doreste ca banca sa fie aleasa inainte de listare sau in "F" daca se doreste ca toate bancile si conturile inscrise in datele firmei sa apara pe listare.
  Bancile alese inainte de listarea facturii / avizului sunt preluate din entitatile care au asociat tipul "Banca in lei" ( pentru facturile / avizele in lei ) si "Banca in valuta" ( pentru facturile in valuta ).
  Pentru fiecare dintre acesti parteneri trebuie completat campul "Banca" cu numele bancii, iar "Cont" cu contul corespunzator, acestea fiind campurile care vor fi inscrise pe factura. Daca nu este completata "Banca", atunci este afisata denumirea partenerului respectiv.
  Codul SWIFT al bancii trebuie introdus pe campul "Reg.comert" corespunzator entitatii cu tipul "Banca" sau "Banca in valuta" din "Initializare > Configurare entitati" ( ROACONT ). Adresa bancii este cea marcata ca principala.

:nou:
  La "Facturare > Pe baza de lista de preturi > In valuta", este vizibila si politica de facturare din stoc setata la "Initializari > Optiuni".
 Astfel, la definirea politicii de preturi pentru facturare din stoc ( in ROAPRETURI ), valuta aleasa trebuie sa fie moneda nationala, iar la nota corespunzatoare politicii de preturi nu trebuie sa fie bifata optiunea de inregistrare a sumelor in valuta. 
 In cazul in care aceasta politica va fi folosita pentru facturarea in valuta, atunci preturile vor fi afisate automat in valuta aleasa la inceputul facturarii, iar sumele vor fi inregistrate  implicit si in valuta in registrul jurnal, fara a mai fi nevoie de setari suplimentare.

:nou:
  La "Facturare > Pe baza de lista de preturi",in cazul in care a fost setata politica de facturare din stoc, se poate alege si venitul / cheltuiala la introducerea datelor.
  Pentru articolele din politica de preturi de facturare din stoc se va scrie in notele din registrul jurnal explicatia aleasa fara a se lua in considerare venitul / cheltuiala definita pe nota corespunzatoare politicii ( in ROAPRETURI ) sau cea specificata pe articol in politica respectiva.

:nou:
  La "Facturare" ( optiunile "Pe baza de lista de preturi", "Pe baza de contract", "Pe baza de comanda", "Din aviz" ) si la "Avize de expeditie" ( toate optiunile ), la adaugarea articolului pe factura / aviz, stocul afisat este ordonat dupa data intrarii articolului, numele gestiunii, seria articolului, pret si cont.
  Pentru modificarea ordinii datelor afisate,se poate face dublu-click pe numele coloanei dupa care se doreste reordonarea.

:nou:
  La "Initializari > Optiuni", daca se modifica politica de preturi pentru facturarea din stoc, atunci preturile de pe politica respectiva vor fi sterse, iar valuta va fi modificata in moneda nationala.

:nou:
  A fost adaugata optiunea "Facturare > Pe baza de lista de preturi > Credit note".
  Prin acest meniu se pot accesa articolele de pe politicile de preturi in valuta care au contul debitor 667 pe nota de vanzare.

:nou:
  La listarea unei declaratii de conformitate se poate completa data expirarii pentru articolele care nu o au completata.

:nou:
  Pe formularele personalizate se pot lista si urmatoarele date:
	- pe factura pe baza de avize : numarul avizului / avizelor
	- pe un aviz ( la relistare, in caz ca a fost facturat ) : numarul facturii
	- pe factura / aviz : numarul comenzii externe, codul material de la furnizor pentru articolele de pe factura / aviz.

:nou:
  A fost adaugata posibilitatea de a se seta numarul de luni anterioare lunii curente ( in care se face introducerea ) pentru care se face verificarea numarului de factura / aviz.
  Optiunea poate fi modificata din programul "Definirea companiei", de la optiunea "Utilitati > Optiuni > Optiuni firma". Se cauta "NRLUNIVERIFICARENRDOC" si se modifica valoarea. Initial, valoarea este 1, adica se verifica facturile / avizele din luna in care se face introducerea si cele din luna precedenta.

:nou:
  Pentru articolele cu cota de TVA 0 %, apare inscrisa pe factura / aviz si explicatia de TVA.

:nou:
  La "Initializari > Optiuni > Listari",a fost adaugata optiunea pentru formatul implicit al avizului: "A4", "A5" sau "A4 si A5". Daca se alege ultima varianta, atunci la fiecare listare a unui aviz va aparea o fereastra din care se poate selecta formatul.

:nou:
  A fost adaugat formularul de proforma in limba engleza.

:modificare:
  Valoarea aleasa in campul "Venit / cheltuiala" de la introducerea datelor facturii / avizului va fi scrisa in notele din registrul jurnal pentru articolele care sunt din politica de preturi pentru facturarea din stoc si pentru articolele din politicile care nu au completat venitul / cheltuiala pe nota contabila ( in ROAPRETURI ) si nici in lista de preturi.

:modificare:
  A fost modificata scrierea in registrul jurnal pentru facturarea pe seturi. 
  Daca exista diferente intre sumele de la total fara TVA si total TVA calculate pentru seturi si sumele calculate pentru articolele componente, atunci in registrul jurnal vor fi inregistrate si notele corespunzatoare diferentelor astfel incat totalurile sa fie identice.
 Ex. :
   Pe factura : 	Total fara TVA = 1000.00 ; Total TVA = 190.00.
   Pe recapitulatie : 	Total fara TVA = 1000.01 ; Total TVA = 189.99.
   In registrul jurnal :
     	4111 - 7xx	1000.01
	4111 - 4427	189.99
	4111 - 7xx	-0.01
	4111 - 4427	0.01

:modificare:
  Valoarea aleasa in campul "Venit / cheltuiala" de la introducerea datelor facturii / avizului va fi scrisa in notele din registrul jurnal pentru articolele care sunt din politica de preturi pentru facturarea din stoc si pentru articolele din politicile care nu au completat venitul / cheltuiala pe nota contabila ( in ROAPRETURI ) si nici in lista de preturi.

:modificare:
  La articolele compuse din facturarea pe baza de aviz nu se poate modifica pretul.

:modificare:
  Este permisa introducerea pe o factura a doua servicii de acelasi fel.

:modificare:
  Pe factura poate fi listat si codul articolului.

:modificare:
  Daca la introducerea datelor unei facturi / unui aviz apare mesajul ca nu exista cursul pentru o anumita valuta, la revenirea in formular numarul documentului nu mai este resetat.

:modificare:
  Daca dupa completarea datelor facturii / avizului apare mesajul "Nu este setat cursul din data de (ziua pentru care nu s-a gasit cursul) pentru (numele valutei)!", atunci in fereastra de vizualizare a cursului valutar va fi completat automat criteriul de cautare "Zi curs" cu data respectiva, iar la adaugare va fi propusa  ca data de inceput si de sfarsit tot data pentru care nu a fost gasit cursul.

:modificare:
  Modificare la afisarea totalurilor in vizualizarea de la "Rapoarte > Lista facturi si avize" pentru facturile cu articole compuse.

:modificare:
  A fost modificata lista de livrare ca sa apara doar articolele gestionabile de pe factura.

:modificare:
  A fost modificata listarea facturii astfel incat seriile articolelor cu aceeasi denumire sa apara grupate.

:modificare:
  Au fost marite campurile de "Explicatie" de la adaugarea articolului pe factura si "Text aditional" la 240 de caractere.

:modificare:
  La factura in valuta nu mai este inscris cursul pe invoice.

:modificare:
  Modificari interne la facturarea din stoc pentru afisarea explicatiilor pentru cota de TVA 0.

:modificare:
  Pe factura / aviz pot fi adaugate si produse cu pretul 0.

:modificare:
  In momentul facturarii unui articol,in cazul in care nu are specificata cota TVA, atunci este propusa prima explicatie de TVA disponibila.

:eroare:
  A fost corectata o eroare de la relistarea facturilor cu articole compuse.

:eroare:
  A fost corectata listarea seturilor de articole pe factura.

:eroare:
  A fost corectata scrierea preturilor modificate pentru articolele din componenta seturilor.

:eroare:
     A fost corectata recalcularea pretului articolelor din componenta unui set: pentru diferente mari ramanea 1 ban nerepartizat.

:eroare:
  A fost corectata eroarea de la listarea facturii pe baza de contract in rate.

:eroare:
  A fost corectata eroarea de la scrierea proformelor.

:eroare:
  A fost corectata o eroarea de la listarea facturii in valuta cu discount evidentiat.

:eroare:
  A fost corectata eroarea de la initializarea facturilor de retur.

:modificare:
  Modificari interne la scrierea facturilor / avizelor.

:modificare:
  Modificari interne la listarea facturilor pe baza avizelor din comenzi.

:modificare:
  Modificari interne la listarea facturilor din aviz.

:modificare:
  Modificari interne.
-->

<!--
04/09/2008
ROAFACTURARE - 2.0.45

:modificare:
  Modificari interne la listarea avizelor/facturilor pe baza de comanda care nu au specificata adresa de livrare / facturare.
-->

<!--
25/08/2008
ROAFACTURARE - 2.0.44

:nou:
  La "Avize de expeditie" a fost adaugata optiunea "Catre clienti in custodie > Pe baza de comanda".

:nou:
  La operatiile de facturare si avizare pe baza de comenzi, precum si la factura din aviz, a fost adaugat butonul ">>", care va adauga toate articolele pe factura / aviz.
  In cazul in care pentru unul din articole exista mai multe stocuri sau mai multe explicatii pentru cota de TVA, atunci va aparea fereastra obisnuita de la adaugarea unui articol, unde va trebui ales stocul si / sau explicatia TVA.

:modificare:
  La operatiile de facturare si avizare pe baza de comenzi, nu se mai poate modifica pretul de pe comanda.

:modificare:
  A fost modificata scrierea facturilor din stoc ("Materii prime si materiale", "Produse", "Marfuri la pret de achizitie", "Marfuri la pret de vanzare") ca sa nu se mai poata imprima factura atunci cand programul intampina o eroare la completarea datelor in lista de facturi.

:modificare:
  Modificari interne la facturarea pe baza de aviz pentru a se putea factura si avizele catre clienti in custodie.

:modificare:
  Modificari interne la relistarea facturilor de vanzare directa din stoc.

:modificare:
  Modificari interne.
-->

<!-- 
21/08/2008
ROAFACTURARE - 2.0.43

:modificare:
  Listarea facturilor de vanzare marfa la pret de achizitie/vanzare din stoc se face corect pe formularul de factura (aparea formularul de aviz).
-->

<!--
21/08/2008
ROAFACTURARE - 2.0.42

:eroare:
  A fost corectata explicatia TVA de la operatiile "Factura retur marfa ( valorica )" si "Aviz retur marfa ( valoric )".
-->

<!--
13/08/2008
ROAFACTURARE - 2.0.41

:nou:
  La "Facturare > Marfuri la pret de vanzare > Vanzare", a fost adaugata operatia "Factura retur marfa ( valorica )".

:nou:
  La "Avize de expeditie > Catre clienti", a fost adaugata operatia "Aviz retur marfa ( valoric )".

:modificare:
  A fost modificata cautarea dupa "Cod material" si "Denumire articol" in aviz / factura astfel : campurile sunt luate in considerare la cautare doar daca nu sunt goale sau daca sunt goale si criteriul este unul dintre "are valori" / "nu are valori".

:nou:
  Pe formularele de introducere a datelor facturii / avizelor, a fost adaugat si campul "Gestiune sursa" ( in afara de operatiunile de transfer catre subunitati, unde era deja ).   Completarea acestui camp nu este obligatorie, dar, daca se alege o gestiune, atunci in interiorul facturii / avizului se poate vizualiza doar stocul din gestiunea respectiva. Daca nu se alege o gestiune, atunci vor fi vizibile stocurile tuturor gestiunilor pe care utilizatorul are drepturi.
-->

<!--
09/08/2008
ROAFACTURARE - 2.0.40

:eroare:
  La "Avize de expeditie > Transfer intre subunitati > Retur transfer" a fost corectata conditia de verificare a cantitatii returnate in comparatie cu stocul existent in gestiunea respectiva.

:eroare:
  La intrarea in fereastra cu datele articolului ( la adaugarea pe factura / aviz ), uneori nu era selectata explicatia TVA. A fost corectata eroarea.

:modificare:
  La "Rapoarte > Lista facturi si avize", au fost adaugate mesaje de atentionare in cazul in care nu sunt selectate documente pentru listarea centralizatoarelor.
-->

<!-- 
08/08/2008
ROAFACTURARE - 2.0.39

:modificare:
  Au fost modificate criteriile de cautare de la gestiuni din "Rapoarte > Avize de transfer" si "Rapoarte > Articole > Articole transferate".
-->

<!-- 
31/07/2008
ROAFACTURARE - 2.0.38

:adaugare:
 modificari interne
-->

<!-- 
31/07/2008
ROAFACTURARE - 2.0.37

:adaugare:
 A fost adaugata listarea de la Articole > Articole vandute.
-->

<!-- 
30/07/2008
ROAFACTURARE - 2.0.36

:modificare:
  Modificari interne la verificarea numerelor de facturi / avize.
-->

<!-- 
30/07/2008
ROAFACTURARE - 2.0.35

:modificare:
  Au fost modificate listarile de la Articole > Articole transferate.
-->

<!-- 
18/07/2008
ROAFACTURARE - 2.0.34

:nou:
  Se pot lista operatiile "Retur transfer din gestiune valorica" create in ROAGEST.
-->

<!-- 
17/07/2008
ROAFACTURARE - 2.0.33

:modificare:
  A fost adaugata listarea de la Articole > Articole transferate.
-->

<!-- 
16/07/2008
ROAFACTURARE - 2.0.32

:modificare:
  A fost modificata listarea de la "Rapoarte > Alte rapoarte > Centralizator valoric pe subgrupe de produse" : valoarea de vanzare este fara TVA, au fost adaugate coloanele adaos ( diferenta intre valoarea de vanzare si cea de achizitie ) si procent adaos.
-->

<!-- 
16/07/2008
ROAFACTURARE - 2.0.31

:nou:
  La "Rapoarte" a fost adaugata optiunea "Alte rapoarte", cu submeniul "Centralizator valoric pe subgrupe de produse".

:modificare:
   A fost adaugata posibilitatea de a se alege ordinea in care articolele / serviciile vor fi listate pe factura / aviz / lista de recapitulatie / lista de livrare.
  Optiunea poate fi modificata din programul "Definirea companiei", de la optiunea "Utilitati > Optiuni > Optiuni firma". Se cauta "ORDINEELEMDOC" si se modifica valoarea.
  Optiunea poate avea valorile :
  - 1 ( valoarea initiala ) - in ordinea introducerii
  - 2 - in ordinea denumirii
-->

<!-- 
14/07/2008
ROAFACTURARE - 2.0.30

:modificare:
  La "Avize de expeditie > Transfer intre subunitati > Retur transfer", se poate modifica pretul de vanzare al articolului.

:modificari:
  Modificari interne la "Avize de expeditie > Transfer intre subunitati > Retur transfer".
-->

<!-- 
14/07/2008
ROAFACTURARE - 2.0.29

:modificare:
  Modificari interne pentru evitarea erorii "C0000005" de la facturarea din meniurile de la  "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie" si "Marfuri la pret de vanzare".

:nou:
  La "Avize de expeditie > Transfer intre subunitati", in formularul de avizare a fost adaugat, in continuarea numarului de document, numele gestiunii destinatie ( la optiunile "Pe baza de comanda" si "Pe baza de lista de preturi" ) sau de la care provine returul ( la optiunea "Retur transfer" ).
-->

<!-- 
11/07/2008
ROAFACTURARE - 2.0.28

:eroare:
  A fost corectata eroarea de la relistarea avizelor pe baza de nir.
-->

<!-- 
10/07/2008
ROAFACTURARE - 2.0.27

:modificare:
  La "Rapoarte > Lista facturi si avize", documentele sunt ordonate dupa data si numar.

:modificare:
  Modificari interne la relistarea facturilor cu seturi de articole.

:modificare:
  A fost modificat butonul de "Reset" de la "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare".

:modificare:
  A fost modificata alegerea delegatului pentru o factura / un aviz. Astfel, in fereastra de cautare sunt afisate toate entitatile care au specificat tipul "DELEGAT". Primii afisati ( pe fundal alb ) sunt delegatii care sunt deja ai clientului respectiv, iar sub ei sunt afisati cu gri alti delegati care respecta conditiile de cautare, dar care nu sunt ai clientului pentru care se intocmeste documentul.
  Daca este ales un delegat care este scris pe fundal gri, el este inregistrat automat in baza de date ca fiind delegat al clientului respectiv si, la urmatoarea factura / urmatorul aviz, acesta va aparea in prima categorie ( pe fundal alb ).

:modificare:
  La "Rapoarte > Lista facturi si avize", la modificarea datelor de pe factura pot aparea urmatoarele situatii:
  - daca nu a fost bifata ca aleasa nicio inregistrare, atunci se vor modifica datele pentru inregistrarea pe care era pozitionat cursorul; daca documentul este un aviz intre subunitati, atunci la cautarea delegatului apar toate entitatile cu tipul "DELEGAT" pe fundal alb; daca este un alt tip de document, atunci la cautarea delegatului apar pe fundal alb delegatii clientului respectiv,iar pe fundal gri ceilalti delegati din baza de date ( vezi paragraful :modificare: anterior )
  - daca a fost bifata ca aleasa o singura inregistrare, atunci se vor modifica datele pentru inregistrarea bifata in conditiile de la situatia anterioara
  - daca au fost bifate ca alese mai multe inregistrari, atunci se vor modifica datele tuturor, iar la alegerea delegatului vor aparea pe fundal alb toate entitatile care au specificat tipul "DELEGAT".
-->

<!-- 
07/07/2008
ROAFACTURARE - 2.0.26

:nou:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare", a fost adaugata o listare care contine datele afisate in fereastra de operare.

:modificare:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare" vor ramane afisate doar inregistrarile care corespund filtrelor de cautare. Pentru a se afisa toate inregistrarile se poate apasa butonul "Reset".

:modificare:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare",a fost modificat criteriul initial de cautare pentru "Cod material" in "este...". 
  
:eroare:
  A fost corectata eroarea de la listarea facturilor de la "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie" si "Marfuri la pret de vanzare" pentru cazul in care optiunea "Pretul listat pe avizele de transferuri intre subunitati" era setata pe "Cu TVA".

-->

<!-- 
03/07/2008
ROAFACTURARE - 2.0.25

:nou:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare" a fost adaugata coloana "Cant. disponibila" care contine cantitatea disponibila in stoc pentru articolul respectiv dupa ce s-au scazut cantitatile repartizate.

:eroare:
  A fost corectat algoritmul de repartizare a cantitatilor ( in anumite conditii se depasea cantitatea ramasa ).
-->

<!-- 
03/07/2008
ROAFACTURARE - 2.0.24

:modificare:
  In formularul de la "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare", daca se apasa ENTER sau TAB in coloana "Cant. repartizata", cursorul se muta pe linia urmatoare, dar ramane pe aceeasi coloana.

:modificare:
  In raportul de la "Rapoarte > Lista facturi si avize > Transfer articole pe gestiuni", au fost boldate: denumirea articolului, codul material, total articol.

:eroare:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare" a fost corectata eroarea de la cautarea dupa codul de material ( nu se putea scrie in campul de cautare ).
-->

<!-- 
03/07/2008
ROAFACTURARE - 2.0.23

:nou:
  La adaugarea unui articol gestionabil pe factura / aviz este vizibil in tabelul cu stocul si pretul de vanzare cu TVA stabilit la intrarea in gestiune ( pentru gestiunile la pret de vanzare ).

:modificare:
  La "Avize de expeditie > Transfer intre subunitati > Pe baza de lucrare", articolele sunt avizate in ordinea in care au fost introduse pe comenzi.

:modificare:
  La "Rapoarte > Lista facturi si avize", daca se selecteaza mai multe facturi pentru listare, atunci acestea vor fi listate in ordinea numerelor de aviz.

:eroare:
  Au fost corectate erorile care apareau inainte de listarea facturii operate pe la "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie", "Marfuri la pret de vanzare".
-->

<!-- 
01/07/2008
ROAFACTURARE - 2.0.22

:modificare:
  A fost modificata listarea din "Rapoarte > Lista facturi si avize > Centralizator transferuri articole pe gestiuni" sa se listeze corect gestiunea.

:nou:
  A fost adaugata posibilitatea de a se seta numarul maxim de elemente de pe o pagina pentru avizele pe baza de lucrare. In cazul in care pe un aviz se depaseste numarul setat prin aceasta optiune, atunci se trece la un numar nou de aviz.
  Optiunea poate fi modificata din programul "Definirea companiei", de la optiunea "Utilitati > Optiuni > Optiuni firma". Se cauta "NRMAXELEMPAG" si se modifica valoarea. Initial, valoarea este 38.

:modificare:
  La avizarea pe baza de lucrare, avizele sunt generate in ordinea in care au fost introduse comenzile.

:eroare:
  A fost corectata eroarea de la relistarea facturilor si avizelor ( variabila "PRETCTVAI" ).
-->

<!-- 
01/07/2008
ROAFACTURARE - 2.0.21

:modificare:
  A fost modificata listarea facturii / avizului ca sa fie inclus si codul de bare.

:modificare:
  A fost modificata listarea avizului de la transferurile catre gestiunile care au contul '357' pentru ca la "Cumparator" sa apara numele partenerului selectat inainte de finalizarea avizului.
-->

<!-- 
30/06/2008
ROAFACTURARE - 2.0.20

:nou:
  La "Rapoarte > Lista facturi si avize" a fost adaugata coloana "sectie".

:nou:
  La listarile de la "Rapoarte > Lista facturi si avize", a fost adaugat "Centralizator transferuri articole pe gestiuni".

:modificare:
  Modificari interne.
-->

<!-- 
30/06/2008
ROAFACTURARE - 2.0.19

:modificare:
  La "Avize de expeditie > Transfer intre subunitati", la optiunile "Pe baza de comanda" si "Pe baza de lista de preturi", in cazul in care gestiunea destinatie are contul "357", atunci se cere si partenerul pentru care se va rezerva stocul.

:modificare:
  La adaugarea unui articol gestionabil pe factura / aviz sunt vizibile in tabelul cu stocul si pretul de vanzare stabilit la intrarea in gestiune ( pentru gestiunile la pret de vanzare ), precum si partenerul sau lucrarea pentru care a fost rezervat stocul respectiv.

:modificare:
  La "Rapoarte > Lista facturi si avize" a fost adaugata si coloana "Cod material" in tabelul cu elementele documentului.

:modificare:
  A fost modificata cautarea gestiunii destinatie de la "Avize de expeditie > Transfer intre subunitati".

:modificare:
  Modificari interne la completarea analiticelor.

:modificare:
  Modificari interne la scrierea pretului de achizitie pentru articolele din avizele pe baza de lucrare si de la facturarea din gestiune.
-->

<!-- 
27/06/2008
ROAFACTURARE - 2.0.18

:modificare:
  Pe listarile de la avize a fost adaugata si explicatia introdusa la adaugarea articolului.

:modificare:
  Pe listarea avizului de transfer cu preturi cu tva a fost adaugat textul aditional.

:modificare:
  In formularul de adaugare al articolului, pretul de vanzare este scris ingrosat.

:modificare:
  Modificari interne.
-->

<!-- 
26/06/2008
ROAFACTURARE - 2.0.17

:modificare:
  La operatia "Avize de expeditie > Transferuri intre subunitati > Retur transfer" se preia delegatul de pe ultima operatie de acelasi tip.
-->

<!-- 
25/06/2008
ROAFACTURARE - 2.0.16

:nou:
 La "Avize de expeditie > Transfer intre subunitati",a fost adaugata operatia "Retur transfer".

:nou:
 La "Avize de expeditie" a fost adaugat meniul "Catre clienti debitori", cu operatiile:
  - "Pe baza de comanda"
  - "Pe baza de lista de preturi"
-->

<!-- 
24/06/2008
ROAFACTURARE - 2.0.15

:nou:
  La avizul de expeditie pe baza de lucrare intre subunitati se poate modifica cantitatea si pretul articolelor.

:modificare:
  La facturarea / avizarea articolelor din lista de preturi (cu preturi cu tva) , valoarea tva se calculeaza si se listeaza astfel:
- se calculeaza "valoarea cu tva": "pret cu tva" * "cantitate";
- se calculeaza "valoarea tva" : "valoarea cu tva" * ("procent tva" - 1) / "procent tva.
  "Valoarea fara tva" se calculeaza ca diferenta intre "valoarea cu tva" si "valoarea tva"

OBS:
  In cazul listelor de preturi cu preturi fara tva, calculul a ramas la fel (se porneste de la pretul fara tva).

:modificare:
  Se pot adauga pe o factura articole cu pret de vanzare "zero" si/sau cu discount unitar - pentru o factura de discount.
-->

<!-- 
17/06/2008
ROAFACTURARE - 2.0.14

:adaugare:
  A fost creata posibilitatea de a face transfer intre subunitati pe baza de NIR din "Avize de expeditie / Transfer intre subunitati / Pe baza de NIR".
-->
<!-- 
17/06/2008
ROAFACTURARE - 2.0.13

:modificare:
  Modificari interne.
-->

<!-- 
12/06/2008
ROAFACTURARE - 2.0.12

:modificare:
 S-au corectat si aranjat "Rapoartele centralizatoare pe documente si pe articole" din "Rapoarte > Lista facturi si avize".
-->

<!-- 
11/06/2008
ROAAPROV - 2.0.11

:modificare:
Modificari interne.
-->
<!-- 
10/06/2008
ROAAPROV - 2.0.10

:modificare:
Modificari interne.
-->
<!-- 
10/06/2008
ROAAPROV - 2.0.9

:modificare:
"Transfer intre subunitati / Pe baza de lista de preturi" in tabela articolelor de pe aviz acum apare si codul material.
-->
<!-- 
09/06/2008
ROAFACTURARE - 2.0.8

:nou:
 Formularul cu date suplimentare pentru listarea avizelor de expeditie din transfer intre subunitati  - se initializeaza cu datele de pe ultimul aviz cu acelasi tip.

:modificare:
 S-a modificat raportul de listare aviz de expeditie cu preturi cu tva.

:eroare:
  S-a corectat o eroare la "Avize de expeditie > Transfer intre subunitati > Transfer pe baza de lucrare".
-->

<!-- 
09/06/2008
ROAFACTURARE - 2.0.7

:modificare:
  In "Rapoarte / Lista facturi si avize" a fost modificat raportul "Centralizator articole", pentru a grupa articolede dupa denumire.
-->
<!-- 
XX/06/2008
ROAFACTURARE - 2.0.6

:modificare:
  In formularul de avizare / facturare, daca se apasa tasta ENTER in tabelul cu elementele de pe aviz / factura, cursorul se va muta pe campul de cautare de la cod material.

:modificare:
  In formularul de avizare / facturare, criteriul initial de cautare pentru cod material a fost modificat in "Este".
-->

<!-- 
06/06/2008
ROAFACTURARE - 2.0.5

:eroare:
  A fost corectata eroarea care aparea la intrarea in formularul de avizare / facturare.
-->

<!-- 
05/06/2008
ROAFACTURARE - 2.0.4

:nou:
  Au fost create listarile: "Centralizator documente" si "Centralizator articole" in "Rapoarte / Lista facturi si avize".

:nou:
  Daca pe avizele de transferuri intre subunitati se doreste listarea pretului cu TVA, atunci trebuie modificata valoarea optiunii corespunzatoare din "Initializari > Optiuni > Avize".

:modificare:
  Se poate introduce adaosul si pentru articolele de pe politicile care contin preturi cu TVA.

:nou:
  A fost adaugat criteriul de cautare dupa codul material in formularul de facturare / avizare si au fost adaugate criterii noi la cautarea dupa denumirea articolului.

:modificare:
  Se poate modifica pretul si pentru politicile de preturi care il au deja setat.

:modificare:
  Se actualizeaza politica de preturi pentru facturare / avizare din stoc si la intrarea in operatiile de la "Avize".

:modificare:
  Se poate lista si codul material pe formularul de factura / aviz.

:modificare:
  La "Rapoarte > Lista facturi si avize" se pot modifica datele legate de ruta, delegat, masina si agent pentru mai multe inregistrari simultan ( se selecteaza inregistrarile respective, dupa care se apasa butonul de modificare ).

:modificare:
  Pe formularul de la avizele intre subunitati se poate afisa si numele partenerului corespunzator gestiunii destinatie.

:modificare:
  Modificari interne.
-->

<!-- 
04/06/2008
ROAFACTURARE - 2.0.3

:modificare:
  A fost modificata listarea avizului de transfer intre subunitati pe baza de lucrare. Pretul si valoarea de pe listare au TVA inclus.

:modificare:
  La adaugarea unei masini, nu mai este obligatorie selectarea marcii si a modelului.

:modificare:
  Modificari interne la "Rapoarte > Rute".
-->

<!-- 
03/06/2008
ROAFACTURARE - 2.0.2

:nou:
  A fost adaugat nomenclatorul cu rute in "Initializare / Nomenclator rute".

:nou:
 Au fost adaugate in "Rapoarte > Rute" urmatoarele listari:
  - Centralizator avize pe rute
  - Centralizator articole pe rute 

:nou:
 La "Avize de expeditie > Transfer intre subunitati" a fost adaugata optiunea "Pe baza de lucrare".

:nou:
  La "Rapoarte > Lista facturi si avize" a fost adaugata coloana "Ales" pentru a se putea selecta ce avize / facturi trebuie listate.

:nou:
  La "Rapoarte > Lista facturi si avize" a fost adaugata posibilitatea de a se modifica ruta, agentul, delegatul si masina de pe un aviz / o factura.

:modificare:
  Modificari interne.
-->

<!-- 
26/05/2008
ROAFACTURARE - 2.0.1

:modificare:
  A fost eliminata verificarea daca articolul ales mai exista deja pe factura.
-->


<!-- 
07/03/2008
ROAFACTURARE - 2.0.0

:modificare:
  Au fost aduse modificari pentru sucursale.
-->

<!--
04/02/2008
ROAFACTURARE-1.0.40

:nou:
  La crearea unui articol compus, i se poate modifica pretul unitar fara TVA. Preturile articolelor componente vor fi ajustate automat.
  Din "Initializari > Optiuni > Generale > Eroare la recalculare pret articol compus" se poate seta marja de eroare care se ia in considerare la recalcularea preturilor articolelor din componenta articolului compus, in cazul in care pretul acestuia difera de cel rezultat din calculul initial.

:modificare:
  Modificari interne : au fost adaugate modificarile de la facturare pe baza de comenzi.

:nou:
  In cazul facturarii pe seturi de articole,in fereastra de creare a articolelor compuse a fost adaugata optiunea "Se listeaza componenta seturilor si pe factura / proforma".
  La relistarea facturilor / proformelor din "Rapoarte", se cere confirmarea daca se listeaza componenta seturilor si pe factura / proforma.

:nou:
  La "Initializari > Optiuni > Generale",a fost adaugata optiunea pentru imprimarea listei de livrare ( contine articolele compuse / articolele din componenta lor / articolele simple si cantitatile corespunzatoare de pe factura ).
-->

<!--
24/01/2008
ROAFACTURARE-1.0.39

:nou:
  In formularul de introducere a datelor facturii / avizului au fost adaugate campurile "Lucrare" si "Sectie".
  Campul de "sectie" este folosit doar in cazul in care la facturare sunt alese articole din politica de preturi setata ca politica de preturi pentru facturare din stoc.

:modificare:
  Pe formularul de facturare apare si explicatia articolului.
-->

<!--
23/01/2008
ROAFACTURARE-1.0.38

:nou:
  La "Initializari > Optiuni",au fost adaugata setarea pentru lista de facturare din stoc.
  Politica de preturi care este aleasa la setarea de facturare din stoc nu trebuie sa contina vreun articol in momentul definirii, ea fiind completata cu toate articolele gestionabile din nomenclator atunci cand se acceseaza prima data facturarea pe baza de politici de preturi.
  In momentul alegerii gestiunii din care se scoate articolul, se poate vizualiza pretul de achizitie si se poate stabili pretul de vanzare fie prin specificarea adaosului, fie prin introducerea directa a pretului.
  
:nou:  
  La "Initializari > Optiuni",au fost adaugate setarea pentru vanzarea seturilor de articole.
  Daca se activeaza aceasta optiune, atunci, dupa alegerea tuturor articolelor care vor fi facturate, va aparea o noua fereastra in care se pot grupa articolele de pe factura in seturi. 
  Pentru selectarea unui articol se face dublu-click sau se apasa SPACE pe coloana "Denumire".  Se pot crea mai multe seturi pe aceeasi factura.Articolele selectate sunt marcate cu bleu, articolele care deja au fost adaugate pe un set sunt marcate cu gri, iar restul sunt afisate pe fundal alb. Articolele care au ramas neselectate vor fi copiate automat pe factura.
  La listarea facturii, elementele componente ale setului vor fi afisate sub denumirea acestuia, impreuna cu cantitatile corespunzatoare unei unitati de set.
  Dupa listarea facturii se poate lista si o recapitulatie care contine toate articolele de pe factura cu urmatoarele descrieri : denumire, unitate de masura, cantitate, pret de achizitie ( fara TVA ), pret de vanzare ( fara TVA ) si adaos.

:modificare:
  Pentru articolele care au pretul 0, acesta poate fi modificat de catre utilizator in momentul facturarii.
-->

<!--
20/12/2007
ROAFACTURARE-1.0.35

:nou:
  Numarul documentului este afisat si pe formularele de alegere a articolelor pentru facturare / avizare.

:eroare:
  A fost corectata eroarea de la intrarea in facturare in cazul in care nu sunt configurate seriile sau plajele de numere pentru un utilizator.

:modificare:
  Modificari interne.
-->

<!--
13/11/2007
ROAFACTURARE-1.0.34

:nou:
  A fost adaugat campul "Serie document" la introduceri, vizualizari si pe listari.

:modificare:
  Modificari interne la generarea numerelor de facturi si de avize.

:modificare:
  A fost modificata procedura de recalculare a pretului de vanzare in lei la facturarea in valuta.
-->

<!--
24/10/2007
ROAFACTURARE-1.0.33

:modificare:
  La "Rapoarte > Articole", a fost adaugata coloana "Nr. factura" la selectie, ordonare si grupare.
-->

<!--
22/10/2007
ROAFACTURARE-1.0.32

:nou:
  Au fost adaugate drepturile de acces pe obiecte.

:modificare:
  Modificari interne.
-->

<!--
17/10/2007
ROAFACTURARE-1.0.31

:modificare:
  Modificari interne la stergerea facturilor.

:eroare:
  In formularul de adaugare a produsului pe factura, nu se actualizau campurile "Total cu TVA fara discount" si "Total cu TVA cu discount".
-->

<!--
09/10/2007
ROAFACTURARE-1.0.30

:modificare:
  Modificari interne la corespondentele dintre conturi pentru consum.
-->

<!--
05/10/2007
ROAFACTURARE-1.0.29

:nou:
  Manualul aplicatiei se poate accesa din meniul "Ajutor > Instructiuni de utilizare" sau de pe butonul "?" din toolbar.

:modificare:
  In nomenclatorul de articole se pot adauga articole fara cont.

:modificare:
  Modificari interne la corespondentele dintre conturi pentru consum.
-->

<!--
02/10/2007
ROAFACTURARE-1.0.28

:nou:
  La "Facturare > Pe baza de lista de preturi" a fost adaugat un meniu cu optiunile : "In lei" si "In valuta". La optiunea "In valuta" vor fi luate in considerare doar politicile ale caror preturi sunt exprimate in valuta aleasa in formularul de introducere si ale caror note de vanzari au fost configurate pentru inregistrarea sumelor in valuta ( din ROAPRETURI, "Configurare > Note de vanzari" ).

:nou:
  La "Facturare > Materii prime si materiale" a fost adaugat un meniu cu optiunile :
	-	"Vanzare en-gros"
	-	"Vanzare en-detail"
	-	"Retur vanzare"
	-	"Vanzare en-detail in valuta"

:nou:
 La "Facturare > Produse" a fost adaugata optiunea "Vanzare en-detail in valuta".

:nou:
 La "Facturare > Marfuri la pret de achizitie" au fost adaugate "Vanzare en-detail in valuta" si "Taxare inversa en-detail in valuta".

:nou:
 A fost adaugat un formular special pentru facturile in valuta.

:nou:
 La optiunile de facturare in valuta se listeaza mai intai factura in lei, dupa care cea in valuta.
 In anumite cazuri, din cauza rotunjirii pretului unitar la transformarea in lei a pretului unitar in valuta,  valoarea totala a reperelor inscrie pe factura in lei difera de totalul de pe factura in valuta transformat in lei la cursul specificat. Din acest motiv, pe factura in lei totalurile inscrise sunt obtinute din transformarea in lei a totalului in valuta. 
 De asemenea, se aplica un algoritm pentru ajustarea pretului in lei astfel incat totalul valorilor de pe factura sa fie cat mai apropiat de cel obtinut prin transformarea totalului din valuta.

:modificare:
 Au fost modificate listarile de la "Rapoarte" : "Facturi", "Incasari", "Articole" si "Centralizator" pentru luarea in calcul a ajustarilor in lei a preturilor articolelor de pe facturile in valuta.

:modificare:
 A fost modificata scrierea facturilor pe ale caror note se inregistreaza si sumele in valuta.

:modificare:
 La "Rapoarte > Lista facturi si avize" a fost adaugat criteriul de cautare dupa moneda ( in valuta sau in RON ) si a fost modificata relistarea facturilor.

:modificare:
  De la "Initializari > Optiuni > Facturi", a fost scoasa optiunea referitoare la facturarea in valuta pentru produsele care au pret de achizitie in valuta. Facturarea in valuta se efectueaza prin meniurile din "Facturare", indiferent de moneda in care este specificat pretul de achizitie.

:modificare:
  A fost modificata facturarea pentru articolele din contul 346.

:nou:
  La emiterea facturii, in cazul in care nu a mai fost emisa vreo factura pentru clientul respectiv, iar acesta este persoana fizica, atunci este propus ca delegat chiar clientul.

:nou:
  In "Initializari > Curs valutar", a fost adaugata optiunea "Toate valutele din nomenclator". Prin selectarea acesteia, in formularul de introducere a cursului nu mai este necesara alegerea valutei, fiind afisate toate valutele existente in nomenclator.
  Vechiul mod de introducere a cursului este disponibil prin selectarea optiunii "O valuta".

:modificare:
  A fost modificat mesajul de avertizare care apare in cazul in care s-au introdus datele unei facturi, dar nu exista in baza de date cursul pentru una din valute. Acesta contine si numele valutei / valutelor pentru care trebuie introdus cursul.

:modificare:
  Formularele personalizate de factura au fost mutate din directorul "USERREPORTS\ROAFACTURARE\{firma}" in "USERREPORTS\{firma}\ROAFACTURARE".

:modificare:
  Modificari interne.
-->

<!--
17/09/2007
ROAFACTURARE-1.0.27

:nou:
  In "Initializari > Optiuni > Facturi", a fost adaugata optiunea de a se lua sau nu in considerare pretul de achizitie in valuta la facturarea din stoc, pentru articolele pentru care acesta exista.

:modificare:
  La "Facturare", in meniurile :
	-	"Produse > Vanzare en-detail"
	-	"Marfuri la pret de achizitie > Vanzare en-detail"
	-	"Marfuri la pret de achizitie > Taxare inversa en-detail"
	daca este setata optiunea de facturare pe baza pretului de achizitie in valuta, atunci pe formularul de introducere este ceruta ziua cursului, iar la adaugarea unui reper pe factura se va calcula pretul de vanzare prin aplicarea adaosului la pretul in valuta si transformarea in lei la cursul din ziua specificata.
-->

<!--
10/09/2007
ROAFACTURARE-1.0.26

:eroare:
  A fost corectata eroarea legata de serie de la adaugarea pe factura a articolelor negestionabile.

:eroare:
  A fost corectata eroarea legata de serii de la facturarea pe baza de contract.

:eroare:
  A fost corectata eroarea de la listarea proformelor.

:modificare:
  Programul se poate instala intr-o cale de retea / locala care contine spatii (Ex: "C:\Program Files\...").
-->

<!--
24/08/2007
ROAFACTURARE-1.0.25

:modificare:
  La adaugarea unui articol pe factura / aviz, se poate alege si seria.
  In cazul in care este setata optiunea pentru a nu se face scaderea din stoc, atunci seria poate fi introdusa manual.
  A fost adaugata coloana "Serie" si in "Rapoarte > Lista facturi si avize", precum si in "Rapoarte > Articole".

:modificare:
   Modificari interne.
-->

<!--
16/08/2007
ROAFACTURARE-1.0.24

:modificare:
  La "Rapoarte > Articole",a fost modificat criteriul de cautare dupa articole : nu se mai selecteaza articolul, ci se poate scrie denumirea si selecta unul dintre criteriile "incepe cu...", "este...", "nu este...", "contine...", "nu contine...", "nu are valori" si "are valori".

:modificare:
  Modificari interne pentru optiunile urmatoare din "Facturare" : "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie" si "Marfuri la pret de vanzare".
-->

<!--
03/08/2007
ROAFACTURARE-1.0.23

:eroare:
  A fost corectata o eroare de la cautarea clientilor la generarea rapoartelor.
-->

<!--
02/08/2007
ROAFACTURARE-1.0.22

:modificare:
  A fost modificata listarea facturii astfel incat sa apara si numarul chitantei in cazul in care se si incaseaza.
-->

<!--
01/08/2007
ROAFACTURARE-1.0.21

:nou:
  A fost adaugata posibilitatea de a se inregistra si incasarea la emiterea facturii pe baza de lista de preturi,pe baza de contract,pe baza de comanda si din aviz.  
  In fereastra de completare a datelor agentului, delegatului si a masinii se poate alege daca se inregistreaza si chitanta. Daca se selecteaza "Cu chitanta", atunci pot fi completate numarul chitantei, suma incasata si casa.
  La "Initializari > Optiuni > Generale" au fost adaugate optiunile : "Document chitanta" si "Casa incasari".
-->

<!--
04/07/2007
ROAFACTURARE-1.0.20

:eroare:
   La verificarea notelor contabile, nu se putea completa partenerul pentru 4428.

:modificare:
   A fost adaugata coloana "Pret unitar fara TVA" in tabelul din dreapta de la facturare / emitere avize.
-->

<!--
02/07/2007
ROAFACTURARE-1.0.19

:eroare:
   La verificarea notelor contabile, nu se preluau completarile de la partenerii de debit si credit.
-->

<!--
20/06/2007
ROAFACTURARE-1.0.18

:nou:
   La emiterea de facturi / avize, daca exista inregistrari cu analiticele necompletate, inainte de inregistrarea facturii / avizului in baza de date va aparea fereastra de verificare pentru a putea fi completate. Daca nu exista note cu analitice necompletate, atunci se vor inregistra direct in baza de date.

:nou:
   In formularul de facturare, a fost adaugat campul "Procent" pentru a se putea calcula mai usor discountul total pe factura.

:nou:
   In "Rapoarte > Facturi",a fost introdus inca un criteriu de selectie / ordonare / grupare / cautare : dupa utilizator.

:modificare:
   In "Rapoarte > Articole",a fost modificata listarea astfel incat sa apara denumirea completa a articolului.
-->

<!--
06/06/2007
ROAFACTURARE-1.0.17

:modificare:
   Pe facturile personalizate apare si capitalul social subscris / varsat.
-->

<!--
09/05/2007
ROAFACTURARE-1.0.16

:nou:
   In "Avize de expeditie > Catre clienti", a fost adaugata optiunea "Pe baza de contract".

:modificare:
   Modificari interne pentru facturarea avizelor pe baza de contract.

:modificare:
   Au fost modificate notele de la vanzare marfa la pret de achizitie ( en-detail , en-gros sau retur ) pentru articolele din contul 341 / 345, precum si cele de la vanzare produse, din :
	X    - 348		X    - 348
	348  - X		348  - 711
	711  - X	in	711  - X
	4111 - 701		4111 - 701
	4111 - 4427		4111 - 4427
-->

<!--
07/05/2007
ROAFACTURARE-1.0.15

:modificare:
   Campul "Text aditional" de la emiterea facturii poate avea pana la 250 de caractere.

:modificare:
   A fost modificata listarea facturii personalizate de la "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie" si "Marfuri la pret de vanzare".

:nou:
   La "Facturare > Marfuri la pret de achizitie",la "Vanzare en-detail","Vanzare en-gros" si "Retur vanzare",au fost adaugate notele pentru articolele din contul 381:
	608  - 381
	381  - 388
	388  - 381
	4111 - 708
	4111 - 4427
-->

<!--
23/04/2007
ROAFACTURARE-1.0.14

:modificare:
   Au fost modificate notele de la "Marfuri la pret de achizitie" : "Vanzare en-detail", "Vanzare en-gros" si "Retur vanzare" pentru articolele din contul 345.

:eroare:
   A fost corectata explicatia TVA de pe nota de la baza din "Marfuri la pret de achizitie > Vanzare en-detail".

:eroare:
   A fost corectata listarea facturii de la "Materii prime si materiale", "Produse", "Marfuri la pret de achizitie" si "Marfuri la pret de vanzare" in cazul in care se afiseaza pretul diminuat in rubrica "Pret fara TVA".

:modificare:
   La "Initializari > Masini", numarul de inmatriculare introdus poate avea maxim 25 de caractere.

:modificare:
   La "Facturare > Pe baza de contract", pentru contractele care se factureaza pe baza listei de articole, data scadenta se obtine aplicandu-se scadenta de incasare de pe contract la data facturii.
-->

<!--
17/04/2007
ROAFACTURARE-1.0.13

:modificare:
   Modificari interne pentru listarea pe facturi personalizate.

:modificare:
   Se poate lista si CNP-ul delegatului pe facturile personalizate.

:eroare:
   A fost corectata o eroare de la "Rapoarte > Facturi".
-->


<!--
05/03/2007
ROAFACTURARE-1.0.12

:modificare:
   A fost modificata facturarea pentru formatul decontului de TVA care se aplica incepand cu anul 2007.

:nou:
  La "Facturare > Marfuri la pret de achizitie",au fost adaugate optiunile "Taxare inversa en-gros" si "Taxare inversa en-detail".

:nou:
  La "Initializari > Optiuni > Listari",a fost adaugata optiunea pentru formatul implicit al facturii: "A4", "A5" sau "A4 si A5". Daca se alege ultima varianta, atunci la fiecare listare a unei facturi va aparea o fereastra din care se poate selecta formatul.
-->

<!--
25/01/2007
ROAFACTURARE-1.0.11

:modificare:
  La emiterea unei facturi sau a unui aviz pe baza de comanda, inainte de listarea facturii se cere confirmare pentru inchiderea comenzii. Daca se apasa da, atunci pe comanda respectiva se vor adauga cantitatile ramase nefacturate cu valoare negativa.
  La stergerea unei facturi sau a unui aviz emis pe baza unei comenzi, daca comanda respectiva a fost inchisa, atunci comanda va fi redeschisa, cantitatile negative fiind sterse din elementele comenzii.
-->

<!--
24/01/2007
ROAFACTURARE-1.0.10

:modificare:
  La completarea datelor dinainte de emiterea unei facturi,ca masina va fi aleasa implicit masina de pe ultima factura a clientului respectiv.

:modificare:
  La "Facturare > Pe baza de comanda","Avize de expeditie > Catre clienti > Pe baza de comanda" si la "Avize de expeditie > Transfer intre subunitati > Pe baza de comanda", dupa alegerea clientului, campul "Nr.comanda" va fi completat automat cu prima  comanda nefacturata pentru care data livrarii este egala cu data facturii.

:modificare:
  Dupa listarea unei facturi,a unei proforme sau a unui aviz, nu se mai cere confirmare pentru relistare, aceasta fiind posibila prin apasarea butonului de listare din "Rapoarte > Lista facturi si avize" sau "Rapoarte > Lista proforme".

:nou:
  In "Rapoarte > Dispozitii de livrare",au fost adaugate butoanele "Listeaza dispozitie de livrare detaliata",care va genera o dispozitie de livrare grupata pe clienti si "Listeaza borderou de incasare",care va genera un tabel continand numele clientului, numarul chitantei si suma, ultimele doua coloane nefiind completate.

:nou:
  La "Initializari > Optiuni", au fost regrupate setarile pe patru sectiuni: "Generale", "Facturi", "Avize" si "Listari".
  La "Avize", a fost adaugata optiunea pentru politica de preturi implicita pentru avizele de transfer intre subunitati pe baza de lista de preturi.
  La "Listari", au fost adaugate optiuni pentru vizualizarea facturilor/avizelor/proformelor inainte de listare, precum si setari pentru imprimantele implicite pentru listari. 
  Imprimantele implicite pentru listari pot fi alese doar in cazul in care nu se vizualizeaza documentul inainte de listare.
  In cazul in care nu au fost alese imprimante implicite pentru listare, atunci, inainte de fiecare listare programul va cere alegerea unei imprimante.

:modificare:
  A fost modificata nota de vanzare pentru gestiunile de produse.
-->

<!--
15/01/2007
ROAFACTURARE-1.0.9

:nou:
  A fost adaugata optiunea "Avize de expeditie > Transfer intre subunitati > Pe baza de comanda".

:eroare:
  A fost corectata eroarea de la generarea rapoartelor pentru facturi, in cazul in care se ordona dupa valoarea facturii.
-->

<!--
11/01/2007
ROAFACTURARE-1.0.8

:nou:
  La adaugarea unui partener (client, agent, delegat, etc.),daca acesta exista deja, dupa ce se completeaza numele,prenumele si C.I.F./C.N.P. sau doar C.I.F./C.N.P., celelalte date sunt completate automat.

:adaugare:
  La "Initializari > Delegati",se pot adauga clientii pentru fiecare delegat in parte.

:modificare:
  La completarea datelor dinainte de emiterea unei facturi,ca delegat va fi ales implicit delegatul de pe ultima factura a clientului respectiv.
  Daca se doreste alegerea altui delegat, atunci se poate face cautare printre delegatii clientului respectiv. Daca delegatul nu exista, atunci poate fi adaugat direct din fereastra de cautare. In fereastra de adaugare a datelor personale ale delegatului, clientul pentru care se emite factura este selectat automat.

:modificare:
  La listarea facturii/proformei/avizului, articolele apar in ordinea in care au fost adaugate.

:adaugare:
  In ferestrele "Rapoarte > Lista facturi si avize" si "Rapoarte > Lista proforme" a fost adaugata coloana "Data act",precum si filtru de cautare dupa aceasta. La intrare, filtrul de cautare pentru "Data act" este setat implicit ca sa arate facturile/avizele/proformele din luna respectiva.

:adaugare:
  Se pot lista dispozitiile de livrare din "Rapoarte > Dispozitii de livrare".
-->

<!--
11/12/2006
ROAFACTURARE-1.0.7

:modificare:
  Modificari interne.
-->

<!--
06/12/2006
ROAFACTURARE-1.0.6

:modificare:
  In "Rapoarte > Avize" s-a scos selectia dupa data scadenta si a fost adaugata selectia "Toate/Facturate/Nefacturate". De asemenea, a fost adaugata coloana "Diferenta" in listare.

:nou:
  Au fost adaugate raportul pe avize de transfer si raportul centralizator in "Rapoarte".

:modificare:
  In vizualizarile de la "Rapoarte > Lista facturi si avize" si "Rapoarte > Lista proforme" apar si coloanele "Total fara TVA", "Total TVA", "Total cu TVA".

:modificare:
  A fost modificat formatul avizului de transfer intre subunitati.
-->

<!--
22/11/2006
ROAFACTURARE-1.0.5

:modificare:
  Modificari interne.
-->

<!--
20/11/2006
ROAFACTURARE-1.0.4

:nou:
  Se pot genera rapoarte pentru avize din "Rapoarte > Avize".

:modificare:
   S-au adaugat noi conditii la stergerea avizelor de retur si a facturilor din aviz la "Rapoarte > Lista facturi si avize".

:modificare:
   A fost adaugata coloana "Total cu TVA" la "Rapoarte > Lista facturi si avize".

:modificare:
   Pentru facturile din avize si pentru avizele de retur,in coloana "Detalii" din "Rapoarte > Lista facturi si avize" apar numerele de avize corespunzatoare.
-->

<!--
13/11/2006
ROAFACTURARE-1.0.3

:modificare:
   Setari pentru "Banca compensari" si "Document compensare" in "Initializari > Optiuni". Aceste setari sunt folosite pentru notele de la avizele de retur.
-->

<!--
07/11/2006
ROAFACTURARE-1.0.2

:modificare:
   Modificari interne la "Initializari > Serii numere".
-->

<!--
06/11/2006
ROAFACTURARE-1.0.1

:nou:
   Se pot lista si proforme din:
	- "Facturare > Pe baza de lista de preturi"
	- "Facturare > Pe baza de contract"
	- "Facturare > Pe baza de comanda"
	- "Facturare > Din aviz"
   Vizualizarea proformelor emise se face din "Rapoarte > Lista proforme".
-->